/*
 * Created on Aug 17, 2004
 *
 */
package gcr.mmm2.model;

/** 
 * This object associates a IPerson object with their e-mail address and contains the database id of 
 * this e-mail address.
 * 
 * @author Simon King
 */
public class EmailAddress {
	private String m_addr;
	private IPerson m_owner;
	private int m_id;
	
	protected EmailAddress(int id, String addr, IPerson owner) {
		m_id=id;
		m_owner=owner;
		m_addr=addr;
	}
	
	public int getID(){
		return m_id;
	}
	
	public IPerson getOwner() {
		return m_owner;
	}
	
	public String getAddress() {
		return m_addr;
	}
	
}
