/*
 * This is an interface for a list of contacts.
 * Created on Aug 10, 2004
 *
 */
package gcr.mmm2.model;

import java.util.List;

/**
 * @author Simon King
 *
 */
public interface IContactList {
	public int getID();
	public IUser getOwner();
	public List listContacts();
	public String getName();
	public void setName(String name, IUser owner) throws PermissionException;
	public void addContact(IContact contact, IUser owner) throws PermissionException;
	public void removeContact(IContact contact, IUser owner) throws PermissionException;
	public boolean containsContact(IContact contact);
	public void delete(IUser owner) throws PermissionException;
}
