/*
 * Created on Jul 1, 2004
 *
 */
package gcr.mmm2.rdb;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author jeff
 *
 */
public class ResultSetWrapper {

	ResultSet rs;
	Statement s;
	Connection c;

	public ResultSetWrapper(ResultSet rs, Statement s, Connection c) {
		this.rs = rs;
		this.c = c;
		this.s = s;
	}

	public void closeAll() {
		try {
			if (rs != null)
				rs.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		try {
			if (s != null)
				s.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		try {
			if (c != null)
				c.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}


	public ResultSet getResultSet() {
		return rs;
	}

}
