/*
 * Created on Nov 16, 2004
 *
 */
package gcr.mmm2.util;


import gcr.mmm2.rdb.RDBConnection;
import gcr.mmm2.rdb.ResultSetWrapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Andrew Iskandar
 * 
 */
public class UserInformation {


    public static List getUserImsiUpload() {
        String query = "select person.id as user_id, first, last, phone_imsi, date " +
        				  "from (select created_by as user_id, max(date_added) as date from photo group by created_by) as photos, person, person_phone " +
        				  "where person.id = user_id AND person.id = person_phone.person_id "+
        				  "order by date;";
        
        ResultSetWrapper rsw = RDBConnection.executeQuery(query);
        ResultSet rs = rsw.getResultSet();
        ArrayList l = new ArrayList();
        try {
            while (rs.next()) {
            	   ArrayList slot = new ArrayList();
            	   String userid = rs.getString("user_id");
                String first = rs.getString("first");
                String last = rs.getString("last");
                String imsi = rs.getString("phone_imsi");
                String date = rs.getString("date");
               
                
                slot.add(userid);
                slot.add(first);
                slot.add(last);
                slot.add(imsi);
                slot.add(date);
                
                
                l.add(slot);
            }
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            rsw.closeAll();
        }
        return l;
    }
}

    

    

   
   
