/*
 * Created on Sep 20, 2004
 *
 */
package gcr.rdf;

import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author Simon King
 *
 */
public class Tester {

	public static void main(String[] args) {
//		Iterator i=ResourceManipulator.listAnnotationClasses().iterator();
//		while (i.hasNext()) {
//			String[] s=(String[])i.next();
//			System.out.println(s[1]+"\t"+s[0]);
//			Iterator i2=ResourceManipulator.listAnnotationProperties(s[0]).iterator();
//			while (i2.hasNext()) {
//				String s2[]=(String[])i2.next();
//				int type=ResourceManipulator.getAnnotationPropertyType(s2[0]);
//				System.out.println("\t"+type+"\t"+s2[1]+"\t"+s2[0]);
//			}
//		}
		
		System.out.println("ANNOTATION CLASS MAP");
		Map m=MMMModelFactory.getInstance().getAnnotClassMap();
		Iterator i=m.keySet().iterator();
		while (i.hasNext()) {
			String ns=(String)i.next();
			System.out.println("NS="+ns);
			List l=(List)m.get(ns);
			Iterator i2=l.iterator();
			while (i2.hasNext()) {
				String uri=(String)i2.next();
				System.out.println("\t - "+uri);
			}
		}
		
		System.out.println("LABEL MAP\n\n");
		m=MMMModelFactory.getInstance().getLabelMap();
		i=m.keySet().iterator();
		while (i.hasNext()) {
			String key=(String)i.next();
			System.out.println(key+" - "+(String)m.get(key));
		}
		
		System.out.println("CLASS MAP\n\n");
		m=MMMModelFactory.getInstance().getClassMap();
		i=m.keySet().iterator();
		while (i.hasNext()) {
			String k=(String)i.next();
			System.out.println(k);
			List l=(List)m.get(k);
			Iterator i2=l.iterator();
			while (i2.hasNext()) {
				PropertyDescriptor pd=(PropertyDescriptor)i2.next();
				System.out.println("\t- "+pd.getLabel());
			}
		}
		
		System.out.println("SUPERCLASS MAP\n\n");
		m=MMMModelFactory.getInstance().getSuperclassMap();
		i=m.keySet().iterator();
		while (i.hasNext()) {
			String k=(String)i.next();
			System.out.println(k);
			Set s=(Set)m.get(k);
			Iterator i2=s.iterator();
			while (i2.hasNext()) {
				String sc=(String)i2.next();
				System.out.println("\t- "+sc);
			}
		}
		
		System.out.println("TYPE MAP\n\n");
		m=MMMModelFactory.getInstance().getTypeMap();
		i=m.keySet().iterator();
		while (i.hasNext()) {
			String k=(String)i.next();
			System.out.println(k+" - "+(String)m.get(k));
		}
		
		System.out.println("SUBCLASS MAP\n\n");
		m=MMMModelFactory.getInstance().getSubclassMap();
		i=m.keySet().iterator();
		while (i.hasNext()) {
			String k=(String)i.next();
			System.out.println(k);
			Set s=(Set)m.get(k);
			Iterator i2=s.iterator();
			while (i2.hasNext()) {
				String sc=(String)i2.next();
				System.out.println("\t- "+sc);
			}
		}
		
		System.out.println("Range MAP\n\n");
		m=MMMModelFactory.getInstance().getRangeMap();
		i=m.keySet().iterator();
		while (i.hasNext()) {
			String k=(String)i.next();
			System.out.println(k);
			Set s=(Set)m.get(k);
			Iterator i2=s.iterator();
			while (i2.hasNext()) {
				String sc=(String)i2.next();
				System.out.println("\t- "+sc);
			}
		}
	}
	
	
}
