<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.net.URLDecoder" %>

<%
	String username = request.getRemoteUser();
	IUser u = UserManager.getByUsername(username);
	
	String blog_title = "";
	String blog_username = "";
	String blog_password = "";
	int blog_type = -1;
	String xmlrpc_url = "";
	String blogID = "";
	
	String returnTo = "profile.jsp";
	if(request.getParameter("returnTo") != null)
		returnTo = URLDecoder.decode(request.getParameter("returnTo"));
	
	if(request.getParameter("blog_title") != null)
		blog_title = request.getParameter("blog_title");	
	if(request.getParameter("username") != null)
		blog_username = request.getParameter("username");
	if(request.getParameter("password") != null)
		blog_password = request.getParameter("password");
	if(request.getParameter("blog_type") != null)
		blog_type = Integer.parseInt(request.getParameter("blog_type"));
	if(request.getParameter("xmlrpc_url") != null)
		xmlrpc_url = request.getParameter("xmlrpc_url");
	if(request.getParameter("blogID") != null)
		blogID = request.getParameter("blogID");
	
	if( (blog_title != "") && (blog_username != "") && (blog_password != "") && (blog_type >= 0) ){
	
		if(blog_type==Blog.TYPE_LJ){
			try{u.addBlog(blog_title, blog_username, blog_password, "NULL", "NULL", blog_type, u);}
			catch(PermissionException pe){/*do nothing*/}
			response.sendRedirect(returnTo);
		}
		else if(blog_type==Blog.TYPE_BLOGGER){
			try{u.addBlog(blog_title, blog_username, blog_password, "NULL", blogID, blog_type, u);}
			catch(PermissionException pe){/*do nothing*/}
			response.sendRedirect(returnTo);
		}else if(blog_type==Blog.TYPE_OTHER){
			try{u.addBlog(blog_title, blog_username, blog_password, xmlrpc_url, blogID, blog_type, u);}
			catch(PermissionException pe){/*do nothing*/}
			response.sendRedirect(returnTo);
		}
	}
%>


<html>
<head>
<title>Add-a-Blog</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="header.jsp" %>
<div style="clear:both;">
<table width="100%" border="0">
  <tr>
    <td width="50%" valign="top"> 
      <form name="add_a_blog" method="post" action="add_blog.jsp">
      
        <table width="100%" border="0">
          <tr> 
            <td colspan="2" valign="top"><div class="collection_title">Post to Blog</div></td>
          </tr>
                    <tr> 
            <td valign="top">Blog Name:</td>
            <td valign="top"><input name="blog_title" type="text" value="" size="40" maxlength="40"></td>
          </tr>
          <tr> 
            <td valign="top">Username:</td>
            <td valign="top"><input name="username" type="text" value="" size="40" maxlength="40"></td>
          </tr>
          <tr> 
            <td valign="top">Password:</td>
            <td valign="top"><input name="password" type="password" value="" size="40" maxlength="40"></td>
          </tr>
          <tr> 
            <td>BlogID:</td>
            <td><input name="blogID" type="text" value="" size="40" maxlength="100"> (for blogger/MT blogs)</td>
          </tr>
          <tr> 
            <td valign="top">Blog Type:</td>
            <td valign="top">
            	<label><input type="radio" name="blog_type" value="<%=Blog.TYPE_LJ%>">LiveJournal</label><br>
				<label><input type="radio" name="blog_type" value="<%=Blog.TYPE_BLOGGER%>">Blogger.com</label><br>
						<input type="radio" name="blog_type" value="<%=Blog.TYPE_OTHER%>">					
						<input name="xmlrpc_url" type="text" value="http://" size="40" maxlength="100"> (URL for XML-RPC)
			</td>
          </tr>
          <tr>
          <td>&nbsp;</td>
          <td><input name="add_blog" type="submit" value="Add This Blog"></td>
          </tr>
        </table>
      </form>
	</td>
  </tr>
</table>
</div>
</body>
</html>
