<%@ page import="gcr.mmm2.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>

<%
	Iterator users =  UserManager.listNonGCRUsers().iterator();
%>

<html>
<head>
<link href="../resources/styles/master.css" rel="stylesheet" type="text/css">
</head>
<body>

<div><a href="uploads_by_date.jsp">Uploads (and Others) By Date</a></div>
<div><a href="userStatsByDate.jsp">All User Stats By Date</a></div>

<div><strong>Current Number of Photos:</strong> <%=StatCalculator.getPhotoCount(true)%></div>
<div><strong>Current Number of Photos (non-GCR 202):</strong> <%=StatCalculator.getPhotoCount(false)%></div>
<br>
<div><strong>Current Number of Photos Unsuccessfully Uploaded:</strong> <%=StatCalculator.getUnsuccessfulUploadCount(true)%></div>
<div><strong>Current Number of Photos Unsuccessfully Uploaded (non-GCR 202):</strong> <%=StatCalculator.getUnsuccessfulUploadCount(false)%></div>
<br>
<div><strong>Current Number of Deleted Photos:</strong> <%=StatCalculator.getDeletedPhotoCount(true)%></div>
<div><strong>Current Number of Deleted Photos (non-GCR 202):</strong> <%=StatCalculator.getDeletedPhotoCount(false)%></div>
<br>
<div><strong>Current Number of Shares:</strong> <%=StatCalculator.getShareCount(true)%></div>
<div><strong>Current Number of Shares (non-GCR 202):</strong> <%=StatCalculator.getShareCount(false)%></div>
<br>
<div><strong>Current Number of Albums:</strong> <%=StatCalculator.getAlbumCount(true)%></div>
<div><strong>Current Number of Albums (non-GCR 202):</strong> <%=StatCalculator.getAlbumCount(false)%></div>
<br>
<br>
<h2>Totals</h2>
<table border=1>
<tr>
	<td>User ID</td>
	<td>Photos</td>
	<td>Del Photos</td>
	<td>Shares</td>
	<td>Shared Ph.</td>
	<td>Shared Al.</td>
	<td>Received Shares</td>
	<td>Albums</td>
	<td>Lists</td>
	<td>Incompl. UL</td>
</tr>
<%
	while(users.hasNext()){
		IUser cur_user = (IUser)users.next();
%>
	<tr>
		<td><%=cur_user.getID()%></td>
		<td><%=StatCalculator.getPhotoCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getDeletedPhotoCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getShareCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getSharedPhotoCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getSharedAlbumCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getReceivedShareCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getAlbumCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getContactListCountByUser(cur_user, null)%></td>
		<td><%=StatCalculator.getUnsuccessfulUploadCountByUser(cur_user, null)%></td>
	</tr>
<%		
	}
%>
</table>
</body>
</html>