<%@ page import="gcr.mmm2.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>

<%
	List users =  UserManager.listNonGCRUsers();
	
	Calendar calendar = new GregorianCalendar();
	
	StringBuffer uIDHeader = new StringBuffer();
	uIDHeader.append("<tr><td>Date</td>");
	Iterator uIt = users.iterator();
	while(uIt.hasNext()){
		IUser cur_user = (IUser)uIt.next();
		uIDHeader.append("<td>"+cur_user.getID()+"</td>");
	}
	uIDHeader.append("</tr>");
	
	StringBuffer photoCounts = new StringBuffer();
	StringBuffer deletedPhotoCounts = new StringBuffer();//StatCalculator.getDeletedPhotoCountByUser(cur_user, d)
	StringBuffer shareCounts = new StringBuffer();//StatCalculator.getShareCountByUser(cur_user, d)
	StringBuffer sharedPhotoCounts = new StringBuffer();//StatCalculator.getSharedPhotoCountByUser(cur_user, d)
	StringBuffer sharedAlbumCounts = new StringBuffer();//StatCalculator.getSharedAlbumCountByUser(cur_user, d)
	StringBuffer receivedShareCounts = new StringBuffer();//<StatCalculator.getReceivedShareCountByUser(cur_user, d)
	StringBuffer albumCounts = new StringBuffer();//StatCalculator.getAlbumCountByUser(cur_user, d)
	StringBuffer contactListCounts = new StringBuffer();//StatCalculator.getContactListCountByUser(cur_user, d)
	StringBuffer contactCounts = new StringBuffer();
	StringBuffer badUploadCounts = new StringBuffer();
	
	calendar.roll(Calendar.MONTH, -1);
	/*
	calendar.set(Calendar.DATE, 28);
	calendar.set(Calendar.YEAR, 2004);
	*/
	
	while(calendar.getTimeInMillis() < System.currentTimeMillis()){
		Date d = calendar.getTime();
		String dateString = "<td>"+(calendar.get(Calendar.MONTH)+1)+"-"+calendar.get(Calendar.DATE)+"</td>";

		photoCounts.append("<tr>"+dateString);
		deletedPhotoCounts.append("<tr>"+dateString);
		shareCounts.append("<tr>"+dateString);
		sharedPhotoCounts.append("<tr>"+dateString);
		sharedAlbumCounts.append("<tr>"+dateString);
		receivedShareCounts.append("<tr>"+dateString);
		albumCounts.append("<tr>"+dateString);
		contactListCounts.append("<tr>"+dateString);
		contactCounts.append("<tr>"+dateString);
		badUploadCounts.append("<tr>"+dateString);
	
		uIt = users.iterator();
		while(uIt.hasNext()){
			IUser cur_user = (IUser)uIt.next();
			photoCounts.append("<td>"+StatCalculator.getPhotoCountByUser(cur_user, d)+"</td>");
			deletedPhotoCounts.append("<td>"+StatCalculator.getDeletedPhotoCountByUser(cur_user, d)+"</td>");
			shareCounts.append("<td>"+StatCalculator.getShareCountByUser(cur_user, d)+"</td>");
			sharedPhotoCounts.append("<td>"+StatCalculator.getSharedPhotoCountByUser(cur_user, d)+"</td>");
			sharedAlbumCounts.append("<td>"+StatCalculator.getSharedAlbumCountByUser(cur_user, d)+"</td>");
			receivedShareCounts.append("<td>"+StatCalculator.getReceivedShareCountByUser(cur_user, d)+"</td>");
			albumCounts.append("<td>"+StatCalculator.getAlbumCountByUser(cur_user, d)+"</td>");
			contactListCounts.append("<td>"+StatCalculator.getContactListCountByUser(cur_user, d)+"</td>");
			contactCounts.append("<td>"+StatCalculator.getContactCountByUser(cur_user, d)+"</td>");
			badUploadCounts.append("<td>"+StatCalculator.getUnsuccessfulUploadCountByUser(cur_user, d)+"</td>");
		}
		
		photoCounts.append("</tr>");
		deletedPhotoCounts.append("</tr>");
		shareCounts.append("</tr>");
		sharedPhotoCounts.append("</tr>");
		sharedAlbumCounts.append("</tr>");
		receivedShareCounts.append("</tr>");
		albumCounts.append("</tr>");
		contactListCounts.append("</tr>");
		contactCounts.append("</tr>");
		badUploadCounts.append("</tr>");

		calendar.add(Calendar.DATE, 1);
	}
%>

<html>
<head>
<link href="../resources/styles/master.css" rel="stylesheet" type="text/css">
</head>
<body>

<h1>User Stats By Date</h1>
<hr>
<br>

<h2>Photos</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=photoCounts.toString()%>
</table>
<br>

<h2>Deleted Photos</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=deletedPhotoCounts.toString()%>
</table>
<br>

<h2>Shares</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=shareCounts.toString()%>
</table>
<br>

<h2>Shared Photos</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=sharedPhotoCounts.toString()%>
</table>
<br>

<h2>Shared Albums</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=sharedAlbumCounts.toString()%>
</table>
<br>

<h2>Received Shares</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=receivedShareCounts.toString()%>
</table>
<br>

<h2>Albums</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=albumCounts.toString()%>
</table>
<br>

<h2>Contact Lists</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=contactListCounts.toString()%>
</table>
<br>

<h2>Contacts</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=contactCounts.toString()%>
</table>
<br>

<h2>Unsuccessful Uploads</h2>
<table border=1>
<%=uIDHeader.toString()%>
<%=badUploadCounts.toString()%>
</table>
<br>

</body>
</html>