<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>

<%

	boolean closeAndReload = false;

	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);

	String m_xCoord = request.getParameter("xCoord");
	String m_yCoord = request.getParameter("yCoord");
	String m_height= request.getParameter("height");
	String m_width = request.getParameter("width");
	String m_photoID = request.getParameter("photoID");
		
	if(request.getParameter("add_new") != null){
		
		//lets add a person
		if(request.getParameter("add_new").equals("Save")){
		
		
			//we're adding and saving a contact
			String firstName = request.getParameter("first");
			String lastName = request.getParameter("last");
			//String emailAddress = request.getParameter("email");
			//String mobileNumber = request.getParameter("mobile_phone");
			
			IPerson newDude = null;
			Iterator personEntries = PersonManager.listPersons(firstName, lastName).iterator(); 
			//if there is a person instance that is also a user, 
			//use that as the person for this new contact.
			//TODO: Breaks if multiple people have the same name.
			while(personEntries.hasNext()){
	        	newDude = (IPerson)personEntries.next();
				if(UserManager.isUser(newDude)) {
					break;
				}
	       	}
			
			//create a new person if there is no matching existing person instance
			if(newDude == null) {
				newDude = PersonManager.createPerson(firstName, lastName, m_user);
				//IContact newContact = ContactManager.createContact(newDude, m_user);
				/*if(emailAddress != null){
					try{
						newContact.addEmail(emailAddress, m_user);
					}catch(StringFormatException sfe){
						throw new ServletException(sfe);
					}
				}
				if(mobileNumber != null){
					try{
						newContact.setPhoneNumber(mobileNumber, m_user);
					}catch(StringFormatException sfe){
					    throw new ServletException(sfe);
					}
				}*/
			} 
			//ORANGE: PersonManager.annotatePhoto((IPerson)newDude, m_xcoord, m_ycoord, m_height, m_width, m_photoID);
			closeAndReload = true;
		}//end if add_new = Save
	}
	
	
	if(closeAndReload){
		%>
		<html>
		<head>
		<script language="JavaScript" src="resources/scripts/open_edit_window.js"></script>
		</head>
		<body onload="reload_parent_and_close('annotate_photo.jsp?photoID=<%=m_photoID%>')">
		</body>
		</html>
		<%
		return;
	}


%>
<html>
<head>
<title>Annote Photo with Name</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="popup_header.jsp" %>
<table border="0" >
<form method="get" action="annotate_photo.jsp" name="annotate_photo">
<input type="hidden" name="xCoord" value="<%=m_xCoord%>">
<input type="hidden" name="yCoord" value="<%=m_yCoord%>">
<input type="hidden" name="height" value="<%=m_height%>">
<input type="hidden" name="width" value="<%=m_width%>">
<input type="hidden" name="photoID" value="<%=m_photoID%>">
	<tr>
		<td colspan="2" align="left"><h1>Annotate Photo</h1></td>
	<tr>
	<tr>
		<td colspan="2" align="left">X-Coordinate:&nbsp;<%=m_xCoord%></td>
	</tr>
	<tr>
		<td colspan="2" align="left">Y-Coordinate:&nbsp;<%=m_yCoord%></td>
	</tr>
	<tr>
		<td colspan="2" align="left">Height:&nbsp;<%=m_height%></td>
	</tr>
	<tr>
		<td colspan="2" align="left">Width&nbsp;<%=m_width%></td>
	</tr>
	
	
	<% if(request.getParameter("add_new") == null){ %>
	<tr>
		<td align="right" width="30%">Contact</td>
		<td align="left">
			<select name="personID">
			<% 
				Iterator i = PersonManager.listAvailablePersons(m_user).iterator();
				while(i.hasNext()){	
					IPerson cur_person = (IPerson)i.next();
			%>
					<option value="<%=cur_person.getID()%>"><%=cur_person.toString()%></option>
			<% 
				}
			%>
			</select>
		</td>
	</tr>

	<tr>
		<td align="left">
		<a href='annotate_photo.jsp?photoID=<%=m_photoID%>&xCoord=<%=m_xCoord%>&yCoord=<%=m_yCoord%>&height=<%=m_height%>&width=<%=m_width%>&add_new=true'>New Person</a></td>
		<td align="right"><input type="submit" value="Annotate Photo"></td>
	</tr>
	<% }else{ %>
        <tr> 
          <td colspan="2">First Name:<br><input name="first" type="text" value="" size="40" maxlength="40"></td>
        </tr>
        <tr> 
          <td colspan="2">Last Name:<br><input name="last" type="text" value="" size="40" maxlength="40"></td>
        </tr>
        <tr> 
          <td align="left"><input name="reset" type="reset" value="Reset"></td>
          <td align="right"><input name="add_new" type="submit" value="Save"></td>
        </tr>
	<% } %>

</form>
</table>

</body>
</html>
