<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="gcr.mmm2.server.servlets.JpegRotator" %>

<%
	/**
	 * @author Scott Fisher
	 *
	 */

   	int rotation = new Integer(request.getParameter("rotation")).intValue();
	String referringURI = request.getHeader("referer");
	
	/*
	 * The Photo Section
	 */
	String[] photoIDs = request.getParameterValues("photoID");
	if((photoIDs.length != 0) && (rotation%90==0)){
		for(int i = 0; i < photoIDs.length; i++)
		{
			IPhoto p = PhotoFactory.getPhotoByID(Integer.parseInt(photoIDs[i]));
			if (p != null)
			{
				//System.out.println("\r\n\r\n" + MediaManager.getRealPath(p.getJPEGFilename()));
				if(rotation==90){
					System.out.println("Rotating 90");
					JpegRotator.rotateImage(MediaManager.getRealPath(p.getJPEGFilename()),
						JpegRotator.ROTATE_90_RIGHT);
				}else if(rotation==180){
					System.out.println("Rotating 180");
					JpegRotator.rotateImage(MediaManager.getRealPath(p.getJPEGFilename()),
						JpegRotator.ROTATE_180);
				}else if(rotation==270){
					System.out.println("Rotating 270");
					JpegRotator.rotateImage(MediaManager.getRealPath(p.getJPEGFilename()),
						JpegRotator.ROTATE_90_LEFT);
				}
				p.clearCachedImages();
          	}
		}
	}
	
	response.sendRedirect(referringURI);
%>
