<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>

<%
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);

	int m_contactID = -1;
	String temp = request.getParameter("contactID");
	try{
		m_contactID = Integer.parseInt(temp);
	}catch(NumberFormatException nfe){
		//TODO: close this window
		return;
	}
	
	IContact m_contact = ContactManager.getContactByID(m_contactID);
	if(m_contact==null){
		return;
	}
	
	if( UserManager.isUser(m_contact) ){
		out.write("<div style='color: red'>This person is a user.<br>You can't change their data!</div>");
		return;
	}
	
	/*
	 * Get our data!!
	 */
	// List m_bluetoothMACs = m_contact.listBluetoothDevices();
	List m_emails = m_contact.listEmails();
	String m_phoneNumber = m_contact.getPhoneNumber();
	String m_primaryEmail = "";
	
	//get primary address
	EmailAddress ea = m_contact.getPrimaryEmail();
	if(ea !=null)
		m_primaryEmail = ea.getAddress();
	
	if(	(request.getParameter("email") != null) || 
		(request.getParameter("mobile_phone") != null) ){
		
			String email = request.getParameter("email");
			if(email != null){
				if(!email.equals(m_primaryEmail)){
					Iterator emIt = m_emails.iterator();
					while(emIt.hasNext()){
						EmailAddress addy = (EmailAddress)emIt.next();
						m_contact.removeEmail(addy.getID(), m_user);
					}
					m_contact.addEmail(email, m_user);
				}
			}
			
			String mobile_phone = request.getParameter("mobile_phone");
			if(mobile_phone != null){
				if(!mobile_phone.equals(m_phoneNumber)){
					m_contact.setPhoneNumber(mobile_phone, m_user);
				}
			}
			
			%>
			<html>
			<head>
			<script language="JavaScript" src="resources/scripts/open_edit_window.js"></script>
			</head>
			<body onload="reload_parent_and_close('address_book.jsp')">
			</body>
			</html>
			<%
	}


%>
<html>
<head>
<title>Edit Contact</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="popup_header.jsp" %>
<table border="0" >
<form method="get" action="edit_contact.jsp" name="edit_contact">
<input type="hidden" name="contactID" value="<%=m_contact.getContactID()%>">
	<tr>
		<td colspan="2" align="left"><h1>Edit Contact</h1></td>
	<tr>
	<tr>
		<td colspan="2" align="left"><%=m_contact.toString()%></td>
	<tr>	
		<td align="right" width="30%">E-Mail</td>
		<td align="left"><input type="text" value="<%=m_primaryEmail%>" name="email"></td>
	</tr>
	<tr>
		<td align="right">Phone</td>
		<td align="left"><input type="text" value="<%=m_phoneNumber%>" name="mobile_phone"></td>	
	</tr>

	<tr>
		<td>&nbsp;</td><td align="left"><input type="submit" value="Update Contact"></td>
	</tr>
</form>
</table>

</body>
</html>