<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.util.StringUtils" %>

<%
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);

	int m_photoID = -1;
	String temp = request.getParameter("photoID");
	try{
		m_photoID = Integer.parseInt(temp);
	}catch(NumberFormatException nfe){
		//TODO: close this window
		return;
	}
	
	boolean showPhoto = false;
	if(request.getParameter("showPhoto") != null)
		showPhoto = true;
	
	IPhoto m_photo = PhotoFactory.getPhotoByID(m_photoID);
	if(m_photo==null){
		return;
	}
	
	if( m_photo.getOwner().getID() != m_user.getID() ){
		out.write("<div style='color: red'>You're not the owner of this picture!</div>");
		return;
	}
	
	IContext m_context = m_photo.getContext();
	if(m_context==null){
		m_context = ContextManager.createContext(new Date());//TODO: Don't create new context from the date.
		m_photo.setContext(m_context, m_user);
	}
	
	if(	(request.getParameter("caption") != null) || 
		(request.getParameter("event") != null)){
		
			String caption = request.getParameter("caption");
			if(caption != null){
				m_photo.setCaption(caption, m_user);
			}
			
			%>
			<html>
			<head>
			<script language="JavaScript" src="resources/scripts/open_edit_window.js"></script>
			</head>
			<body onload="reload_parent_and_close('photo_details.jsp?id=<%=m_photo.getID()%>')">
			</body>
			</html>
			<%
	}


%>
<html>
<head>
<title>Edit Photo</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="popup_header.jsp" %>
<table border="0" >
<form method="get" action="edit_photo_metadata.jsp" name="edit_photo_metadata">
<input type="hidden" name="photoID" value="<%=m_photo.getID()%>">
	<tr>
		<td colspan="2" align="left"><h1>Edit Photo</h1></td>
	<tr>	
		<td align="right" width="30%">Photo Caption</td>
		<td align="left"><textarea rows="5" cols="30" name="caption"><%=m_photo.getCaption()%></textarea></td>
	</tr>
	<tr>
		<td>&nbsp;</td><td align="left"><input type="submit" value="Update Photo"></td>
	</tr>
</form>
</table>

</body>
</html>
