<%@ 
page language='java' %><%@ 
page import="gcr.mmm2.model.*" %><%@ 
page import="gcr.mmm2.util.*" %><%@ 
page import="gcr.mmm2.util.StringUtils" %><%@ 
page import="gcr.mmm2.rdb.*" %><%@ 
page import="java.util.*" %><%@ 
page import="java.util.zip.*" %><%@ 
page import="java.sql.*" %><%@ 
page import="java.io.*" %>
<html>
<body>

<%!
	final String EXP_ROOT = "/usr/local/resin-pro-3.0.9/webapps/ROOT/export/";
	final String IMAGE_ROOT = "/usr/local/resin-pro-3.0.9/webapps/ROOT/WEB-INF/data/images/";
%>

<h2>Location Label</h2>
<ul>
<%
String[] label = ExportUtils.queryToArray("select distinct location_label from context where location_label is not null");

for(int i=0; i<label.length; i++) {
    out.println("<li>"+label[i]);
	String[] loc = ExportUtils.queryToArray(
	"select distinct '"+IMAGE_ROOT+"' || photo.created_by || '/' || photo.image_file from photo, context "+
	"where photo.context_id = context.id "+
	"and context.location_label = '"+label[i]+"'");
	
	ExportUtils.MakeZip(EXP_ROOT+"label_"+label[i]+".zip", loc);
	out.println("<ul>");
	for(int j=0; j<loc.length; j++) {
		out.println("<li>"+loc[j]);
	}
	out.println("</ul>");
}
%>
</ul>

<h2>GPS, No Location Label</h2>

<%
String[] gps = ExportUtils.queryToArray(
"select distinct '"+IMAGE_ROOT+"' || photo.created_by || '/' || photo.image_file from photo, context "+
"where photo.context_id = context.id "+
"and context.gps_lat is not null "+
"and context.location_label is null");
ExportUtils.MakeZip(EXP_ROOT+"GPS.zip", gps);
%>
Total: <%=gps.length%>
<ul>
<%
for(int i=0; i<gps.length; i++) {
	out.println("<li>"+gps[i]);
	out.flush();
}
%>
</ul>

<h2>Inferred GPS and no actual GPS or location_label</h2>

<%
String[] inf = ExportUtils.queryToArray(
"select distinct '"+IMAGE_ROOT+"' || photo.created_by || '/' || photo.image_file from photo, context, cell_coverage "+
"where photo.context_id = context.id "+
"and cell_coverage.cell_id = context.cell_id "+
"and cell_coverage.lac = context.lac "+
"and context.gps_lat is null "+
"and context.location_label is null");
ExportUtils.MakeZip(EXP_ROOT+"INFER_GPS.zip", inf);
%>
Total: <%=inf.length%>
<ul>
<%
for(int i=0; i<inf.length; i++) {
	out.println("<li>"+inf[i]);
	out.flush();
}
%>
</ul>


<h2>Full xport</h2>

<%
String[] full = ExportUtils.queryToArray(
"select distinct '"+IMAGE_ROOT+"' || photo.created_by || '/' || photo.image_file from photo "+
"where date_inactive is null");
ExportUtils.MakeZip(EXP_ROOT+"ALL_PHOTOS.zip", full);
%>
Total: <%=full.length%>
<ul>
<%
for(int i=0; i<inf.length; i++) {
	out.println("<li>"+full[i]);
	out.flush();
}
%>
</ul>



<h2>Face Annotation Export</h2>

<%
String[] face = ExportUtils.queryToArray(
"select distinct '"+IMAGE_ROOT+"' || p.created_by || '/' || p.image_file from photo p, person_in_photo pip "+
"where p.date_inactive is null and p.id = pip.photo_id");
ExportUtils.MakeZip(EXP_ROOT+"FACE_PHOTOS.zip", face);
%>
Total: <%=face.length%>
<ul>
<%
for(int i=0; i<face.length; i++) {
	out.println("<li>"+face[i]);
	out.flush();
}
%>
</ul>

</body>
</html>