<!-- begin actionbar -->

<% // scripts that perform the photo actions %>
<%@ include file="/resources/scripts/photoactions.jsp" %>

	<%
	
	if(request.getParameter("page")!=null)
	{
		uiState.setPage(new Integer(request.getParameter("page")).intValue());
	}
	if(request.getParameter("pageSize")!=null)
	{
		int oldPhoto = (uiState.getPage() - 1) * uiState.getPageSize() + 1;
		int newPageSize = new Integer(request.getParameter("pageSize")).intValue();
		int newPage = oldPhoto / newPageSize + 1;
		uiState.setPageSize(newPageSize);
		uiState.setPage(newPage);
	}

	int finalPageOfPhotos = (int)Math.ceil((double)m_photos.size() / (double)uiState.getPageSize());
	if(uiState.getPage()<1 || uiState.getPage()>finalPageOfPhotos)
		uiState.setPage(1);		
	%>

	<!-- currently has 1 spacer plus 3+1 rows -->
	<div class="action_container">
	<table class="outsideBorder" border="0">
	<tr>
			<td colspan="5">
		<div class="bigBoldText"><%=pageTitle %>
    	<%=" : " + m_photos.size()%> Images in this Set</div>
		</td>
	</tr>
	
	<tr>
<td colspan="5" align="left" valign="middle"><div class="bigText">Batch Actions</div></td>
</tr>

  <tr>
  <td class="padLR">&nbsp;</td>
  <!-- 1st middle column --> 
  <td class="padLR" valign="top">
   <a href="#" onclick="do_selected_action(<%=new Integer(MediaManager.SHARE).toString()%>);return false;">share</a><br>
      <a href="#" onclick="do_selected_action(<%=new Integer(MediaManager.ADD).toString()%>);return false;">add to album</a><br>
      <a href="#" onclick="do_selected_action(<%=new Integer(MediaManager.DELETE).toString()%>);return false;">delete</a>
  </td>
  <!-- 2nd middle column --> 
  <td class="padLR" valign="top">
 <b>rotate:</b><br>
  <a href="#" onclick="do_selected_action(<%=new Integer(MediaManager.ROTATE_LEFT_90).toString()%>);return false;">left</a> / <a href="#" onclick="do_selected_action(<%=new Integer(MediaManager.ROTATE_RIGHT_90).toString()%>);return false;">right</a><br>
             </td>
 
 <!-- 3rd middle column --> 
  <td class="padLR" valign="top">
  <b>set as:</b><br>
  <a href="#" onclick="do_selected_action(<%=new Integer(MediaManager.RESTRICT).toString()%>);return false;">restricted</a><br>
      <a href="" onclick="do_selected_action(<%=new Integer(MediaManager.UNRESTRICT).toString()%>);return false;">unrestricted</a><br>
      <a href="" onclick="do_selected_action(<%=new Integer(MediaManager.PUBLIC).toString()%>);return false;">public</a></td>
      
  <!-- right column -->
  <td class="padLR">

<a href="<%=request.getServletPath()%>?photoInfo=<%=!uiState.isShowDetails()%>">
<%
	if(uiState.isShowDetails()==true)
		out.println("Hide Photo Information");
	else
		out.println("Display Photo Information");
%>
</a><br>
<!-- show squareAndCropped or rectangular -->
<a href="<%=request.getServletPath()%>?crop=<%=!uiState.isCropThumbs()%>">
<%
	if(uiState.isCropThumbs()==true)
		out.println("Rectangular Thumbnails");
	else
		out.println("Square Cropped Thumbnails");
%></a>

<br>
thumb size
<a href="<%=request.getServletPath()%>?size=<%=UIState.SMALL_THUMB%>">
	<%
	if(uiState.getThumbSize()==UIState.SMALL_THUMB)
		out.println("<img src=\"/resources/images/buttons/PhotoSizeSelected.gif\" border=\"0\" width=\"10\">");
	else
		out.println("<img src=\"/resources/images/buttons/PhotoSize.jpg\" border=\"0\" width=\"10\">");
	%>
</a>
<a href="<%=request.getServletPath()%>?size=<%=UIState.MEDIUM_THUMB%>">
	<%
	if(uiState.getThumbSize()==UIState.MEDIUM_THUMB)
		out.println("<img src=\"/resources/images/buttons/PhotoSizeSelected.gif\" border=\"0\" width=\"15\">");
	else
		out.println("<img src=\"/resources/images/buttons/PhotoSize.jpg\" border=\"0\" width=\"15\">");
	%>
</a>
<a href="<%=request.getServletPath()%>?size=<%=UIState.LARGE_THUMB%>">
	<%
	if(uiState.getThumbSize()==UIState.LARGE_THUMB)
		out.println("<img src=\"/resources/images/buttons/PhotoSizeSelected.gif\" border=\"0\" width=\"20\">");
	else
		out.println("<img src=\"/resources/images/buttons/PhotoSize.jpg\" border=\"0\" width=\"20\">");
	%>
</a></td></table>

<table width="100%" bgcolor="#cccccc">
<tr bgcolor="#cccccc">
<td class="padLR">
select: <a href="#" onclick="select_all_photos(true);return false;">all</a> <a href="#" onclick="select_all_photos(false);return false;">none</a>
</td>
<td class="padLR" align="center">
Thumbnails per page:
<%
	int[] pgLens = {20,50,100,200,100000};
	String[] pgDesc = {"20","50","100","200","All"};
	
	for(int i=0;i<pgLens.length;i++)
	{
		if(pgLens[i]==uiState.getPageSize())
		{
			out.write("<B>" + pgDesc[i] + "</B>&nbsp;");
		}else{
			out.write("<A href=\"" + request.getServletPath() + "?pageSize=" + pgLens[i] + "\">");
			out.write(pgDesc[i] + "</A>&nbsp;");
		}
	} 
%>
</td>
<td class="padLR" align="right">
<%

	out.write("<A HREF=\"" + request.getServletPath() + "?page=1\">");
			out.write("<img src=\"/resources/images/buttons/first.gif\" align=\"absmiddle\">");
			out.write("</a>&nbsp;");
			
	if(uiState.getPage()>1)
	{
		out.write("<A HREF=\"" + request.getServletPath() + "?page=" + (uiState.getPage()-1) + "\">");
			out.write("<img src=\"/resources/images/buttons/previous.gif\" align=\"absmiddle\">");
			out.write("</a>&nbsp;");
	}else{
		out.write("<img src=\"/resources/images/buttons/previous_inactive.gif\" align=\"absmiddle\">&nbsp;");
	}

	out.write("Page " + uiState.getPage() + " of " + finalPageOfPhotos + "&nbsp;");
	
	if(uiState.getPage()<finalPageOfPhotos)
	{
		out.write("<A HREF=\"" + request.getServletPath() + "?page=" + (uiState.getPage()+1) + "\">");
			out.write("<img src=\"/resources/images/buttons/next.gif\" align=\"absmiddle\">");
			out.write("</a>&nbsp;");
	}else{
		out.write("<img src=\"/resources/images/buttons/next_inactive.gif\" align=\"absmiddle\">&nbsp;");
	}
	
	out.write("<A HREF=\"" + request.getServletPath() + "?page=" + finalPageOfPhotos + "\">");
			out.write("<img src=\"/resources/images/buttons/last.gif\" align=\"absmiddle\">");
			out.write("</a>&nbsp;");
%>

</td>

</tr>
</table></div>




<!-- end actionbar -->