<!-- begin photo list -->

<% // script for displaying long captions %>
<script type="text/javascript" src="/resources/scripts/mouseover_text.js">
</script>

    	<div class="photo_grid">
	<%
	// remove this line later needed for intellisense now
	// gcr.mmm2.model.UIState uiState = new gcr.mmm2.model.UIState();
	// remove this line later (above)
	
	int currentWidth = uiState.getCurrentThumbSize().getWidth();
	int currentHeight = uiState.getCurrentThumbSize().getHeight();
	
	// if we're cropping then squaring to the same width as height
	if(uiState.isCropThumbs())
	{
		currentWidth = currentHeight;
	}
	String photoClass = "";
		
	int startIndex = uiState.getPageSize() * (uiState.getPage() - 1);
	int endIndex = uiState.getPageSize() * uiState.getPage();
	if(endIndex>m_photos.size())
		endIndex=m_photos.size();

	for(int i=startIndex;i<endIndex;i++){
        IPhoto p = (IPhoto)m_photos.count(i);
        if(p == null){continue;}
	%>
		<div style="width: <%=currentWidth+30%>px;float: left; text-align: center; height: <%=currentHeight+(uiState.isShowDetails()==true ? 65 : 40)%>px">
		    <%
		    // System.out.println("M_USER ID: " + m_user.getID() + " PHOTO USER ID: " + p.getOwner().getID());
			if(m_user.getID() == p.getOwner().getID()){
				photoClass = "thumbnail_photo_owned";
			}else{
				photoClass = "thumbnail_photo_borrowed";
			}
			%>
				
		    	<a href="photo_details.jsp?photoID=<%=p.getID()%>" valign="center">
		    		<img class="<%=photoClass%>" src="<%=p.getURL(null,null,currentWidth, currentHeight, uiState.isCropThumbs())%>">
		    	</a>
		    	<div class="captionText">
		    	
		    	<% // Only show checkbox if NOT (Public AND NOT owner's photo) %>
		    	<% if(!(uiState.getOwnerLimit() == UIState.PUBLIC_PHOTOS && photoClass == "thumbnail_photo_borrowed") ) { %>
		    		<input type="checkbox" onclick="set_notice(this.checked)" name="photoID" value="<%=p.getID()%>">
		    	<% } %>
		    	
		    	<%
		    	if(uiState.isShowDetails()==true){ // begin displaying info if asked for
		    	%>
				<%
					if(currentWidth<125)
						out.println(StringUtils.formatThumbDate(p.getCaptureDate()));
					else
						out.println(StringUtils.formatThumbDateTime(p.getCaptureDate()));
				
				// Display GPS icon with popup functionality if data present
				IContext context = p.getContext();
				ArrayList location_info = null;
				if(context!=null){
					location_info = (ArrayList)context.getGpsLocationInfo();
				}
				if(location_info != null) { 
					Iterator iLoc = location_info.iterator();
					String gps_lat = (String)iLoc.next();
					String gps_long = (String)iLoc.next();
					String city = (String)iLoc.next();
					String state = (String)iLoc.next();
					String zip = (String)iLoc.next();
					if((gps_lat!=null && gps_long!=null) && (!gps_lat.equals("0.0") && !gps_long.equals("0.0"))) {
				%>
						<a href="javascript:void(0);" onmouseover="popup('<%=city%>, <%=state%>','#FFFFFF')" onmouseout="kill()" onfocus="this.blur()" >
						<img src="/resources/images/icons/icon_gps.gif" alt="<%=city%>, <%=state%>" border="0">
						</a>
				<% 	}	
				}
				
				// Display Bluetooth icon with popup functionality if data present
				int numPeople = 0;
				String peopleString = "";
				if (context != null){
				    List nearbyBluetooth = context.listNearbyBluetoothPeople();
					numPeople = nearbyBluetooth.size();
					if (numPeople > 0) {
						Iterator nbp =nearbyBluetooth.iterator(); 
						int count = 0;
						while(nbp.hasNext()){
	    	    			IPerson newPerson = (IPerson)nbp.next();
	    	    			if (count > 0) {
								peopleString = peopleString + ", ";
							}
	    	    			peopleString = peopleString + newPerson.getFirstName() + " " + newPerson.getLastName();
							count ++;
	    	   			} %>
					<a href="javascript:void(0);" onmouseover="popup('<%=peopleString%>','#FFFFFF')" onmouseout="kill()" onfocus="this.blur()" >
					<img src="/resources/images/icons/icon_bluetooth.gif">
					</a>
					<% }
				}  %>
				</div>
				<div class="captionText">
		    	<%
		    	if(!p.getCaption().equals(""))
		    	{
		    		// do some special things if the caption is too long
		    		if(StringUtils.showSafeHTML(p.getCaption() ).length()>uiState.getCurrentThumbSize().getWidth()/10)
		    		{
		    			out.write("<span id=\"p" + p.getID() + "\">");
						out.write("<a href=\"photo_details.jsp?photoID=" + p.getID() + "\" onmouseover=\"popup(\'"
							+ StringUtils.javaScriptEscape(StringUtils.showSafeHTML(p.getCaption())) + "\',\'#FFFFFF\')\""
							+ " onmouseout=\"kill()\" onfocus=\"this.blur()\" >"
							+ StringUtils.showSafeHTML(p.getCaption()).substring(0,uiState.getCurrentThumbSize().getWidth()/10) + "..." + "</a></span><br>");
		    		}else{
		    			out.write("<a href=\"photo_details.jsp?photoID=" + p.getID() + "\">" + StringUtils.showSafeHTML(p.getCaption() ) + "</a><br>");
		    		}
	    		}else{
	    			// no caption
	    			out.write("&nbsp;");
	    		}
	    		
	    		if(!p.getOwner().equals("") && (uiState.getOwnerLimit() == UIState.PUBLIC_PHOTOS))
		    	{
		    		
					out.write("<em><a href=\"index.jsp?userFilter=" + p.getOwner().getID() + "\">" + p.getOwner() + "</a></em>");
	    		} else {
	    			// no caption
	    			out.write("&nbsp;");
	    		}
		    	%>
		    	</div>
		    	<% }else{
		    				 // end if photoInfo==true 
		    				 // if here then not showing info
		    			out.write("</div>");
		    		}
		    %>
		</div><!--end thumbnail_container -->
	<%
	}
	%>
	</div><br>
<!-- end photo list -->