<!-- script to take care of actions for photos -->
<!-- needs to be jsp to process tags -->
<script type="text/javascript">

        var photoSelected = false;
        var alreadyClicked = false;
        //alreadyClicked prevents impatient people from clicking
       	// a link more than once while they're waiting for the page to reload

	function check_if_selected()
	{
		photoSelected = false;
		var checkboxes = document.photogrid.elements;
		for(i=0;i<checkboxes.length;i++){
			if(checkboxes[i].checked==true)
				photoSelected = true;
		}
	}

	function set_notice(tf)
    {
	    if (tf == true) {
                photoSelected = true;
	    }
	    else {
                photoSelected = false;
	    }
     }

	function make_album_from_selected()
	{
		if(photoSelected){
			document.photogrid.action = "add_to_album.jsp";
			document.photogrid.submit();
		}else{
			alert("Please select an image (or a bushel of images) to place in an album.");
		}
	}
	
	function share_selected()
	{
		if(photoSelected){
			document.photogrid.action = "sharemedia.jsp";
			document.photogrid.submit();
		}else{
			alert("Please select an image (or two!) to share.");
		}
	}
	
	function select_all_photos(tf)
	{
		var checkboxes = document.photogrid.elements;
		for(i=0;i<checkboxes.length;i++){
			checkboxes[i].checked=tf;
		}
		if (checkboxes.length > 0) {
			photoSelected = tf;
		}
	}

	function set_restriction(tf)
	{
	  // need to send off selected pictures to another jsp page to process
      // tat jsp page will set the restriction information on the pics
	  	if(photoSelected)
  		{
		      document.photogrid.action = "setrestriction.jsp";
		      document.photogrid.restriction.value = tf;
		      document.photogrid.submit();
		}
	}
	
	// rotate by the number of degrees specified
	function rotate_selected(degrees)
	{
		if(photoSelected)
		{
			document.photogrid.action = "batch_rotate.jsp";
			document.photogrid.rotation.value = degrees;
			document.photogrid.submit();
		}else{
			alert("Please select an image (or two!) to rotate.");
		}
	}
	
		// rotate by the number of degrees specified
	function delete_selected()
	{
		if(photoSelected)
		{
			del = confirm("Delete all checked images?");
			if(del==false){
				return;
			}
			document.photogrid.action = "batch_delete.jsp";
			document.photogrid.submit();
		}else{
			alert("Please select an image (or two!) for deletion.");
		}
	}

	function do_selected_action(opt)
	{
	  if(alreadyClicked==true)
	  {
	  	return;
	  }
	  alreadyClicked = true;
		check_if_selected();
	  if (opt == <%=MediaManager.SHARE%>) {
            share_selected();
	  }
	  else if (opt == <%=MediaManager.ADD%>) {
            make_album_from_selected();
	  }
	  else if (opt == <%=MediaManager.RESTRICT%>) {
            set_restriction(<%=IPhoto.RESTRICTED_PRIVACY%>);
	  }
	  else if (opt == <%=MediaManager.UNRESTRICT%>) {
            set_restriction(<%=IPhoto.UNRESTRICTED_PRIVACY%>);
	  }
	  else if (opt == <%=MediaManager.PUBLIC%>) {
            set_restriction(<%=IPhoto.PUBLIC_PRIVACY%>);
	  }
	  else if (opt == <%=MediaManager.ROTATE_RIGHT_90%>) {
	  		rotate_selected(90);	
	  }
	  else if (opt == <%=MediaManager.ROTATE_180%>) {
	  		rotate_selected(180);
	  }
	  else if (opt == <%=MediaManager.ROTATE_LEFT_90%>) {
	  		rotate_selected(270);
	  }
	  else if (opt == <%=MediaManager.DELETE%>) {
	  		delete_selected();
	  }
	  else if(opt == <%=MediaManager.THUMB_SIZE_SMALL%>) {
	  
	  }
	  else if(opt == <%=MediaManager.THUMB_SIZE_MEDIUM%>) {
	  
	  }
	  else if(opt == <%=MediaManager.THUMB_SIZE_LARGE%>) {
	  
	  }
	  alreadyClicked=false;

	}
</script>