<% response.setContentType("text/xml");%><%@ page language='java' %><%@ page import="gcr.mmm2.model.*" %><%@ page import="gcr.mmm2.util.MMM2Properties" %><%@ page import="java.util.List" %><%@ page import="java.util.Iterator" %><%

	int numPhotos = 5; // number of photos to display
	int range = 6; // 6 is last year
	
	// Get public photos
	List photos = PhotoFactory.listAllPublicPhotosByTime(range);
	
	// Server prefix
	String serverURL = MMM2Properties.getProperty("MMM_URL");
	
	RSS r = new RSS("MMM2 Public Photos", "Most recent photos submitted to the public area of MMM2.", "http://mmm.sims.berkeley.edu");
	
	Iterator photosIter = photos.iterator();
	while(photosIter.hasNext()) {
		IPhoto p = (IPhoto) photosIter.next();
		String link = serverURL + "/rss_page.jsp?photoID=" + p.getID();
		String name = p.getOwner().getFirstName() + " " + p.getOwner().getLastName();
		String date = p.getCaptureDate().toString();
		String caption = p.getCaption();
		if (caption == "") {
			caption = "No caption";
		}
		r.addItem(date + ": Photo from " + name, link, caption);
		if (numPhotos <= 1) break;
		numPhotos--;
	}
	out.write(r.getResult());
	//System.out.println("RSS JSP: " + r.getResult());
%>
