<%@ page language='java'%>
<%@ page import="gcr.mmm2.model.*"%>

<%
		/**
		 * @author Joshua Chao
		 *
		 * 1) Set the permissions on the submitted photos 
		 * 2) enter the changes into the db...preferably all in a single transaction RDBConnection.java
		 * 3) redirect the user back to the calling page
		 * note: jsp page should set an icon to indicate restriction status.
		 */

		String username = request.getRemoteUser();
		IUser m_user = UserManager.getByUsername(username);
		int privacyLevel = new Integer(request.getParameter("restriction"))
				.intValue();
		String referringURI = request.getHeader("referer");

		/*
		 * The Photo Section
		 */
		String[] photoIDs = request.getParameterValues("photoID");
		if (photoIDs.length != 0) {
			for (int i = 0; i < photoIDs.length; i++) {
				IPhoto p = PhotoFactory.getPhotoByID(Integer
						.parseInt(photoIDs[i]));
				// Only allow setting of privacy level if photo exists and owned by current user
				if ((p != null) && (p.getOwner()==m_user)) {
					p.setPrivacyLevel(privacyLevel, m_user);
				}
			}
		}
		response.sendRedirect(referringURI);
%>
