<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="gcr.mmm2.rdb.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>

<%
	final String location = request.getParameter("location");
%>
<html>
<head>
<title>Photo Locations</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="popup_header.jsp" %>

<table border="1" >
<form method="post" action="viz_location_label.jsp">
<tr>
	<td align="right" valign="top">Location</td>
	<td align="left">
	<select size="1" name="location">
<%
	ResultSetWrapper rsw = RDBConnection.executeQuery("select count(1),location_label from context group by location_label order by count desc");
	try {
	    ResultSet rs = rsw.getResultSet();
	    while (rs.next()) {
	    	out.print("<option");
	    	if(location!=null && location.equals(rs.getString(2)))
	    		out.print(" selected");
	    	out.println(">"+rs.getString(2)+"</option>");
	    }
	} catch (SQLException e) {
	    e.printStackTrace();
	} finally {
	    rsw.closeAll();
	}
%>
	</select>
	<input type="submit" value="Change Location">
	</td>		
</tr>
</form>
</table>
<hr><hr>

<%
	if(location!=null) {
		String query = "select distinct p.id as photo_id "
			+ "from photo p, context c " 
			+ "where c.id = p.context_id " 
			+ "and c.location_label = '"+location+"' ";
		
		rsw = RDBConnection.executeQuery(query);
	    ResultSet rs = rsw.getResultSet();
	    ArrayList photos = new ArrayList();
	    try {
	        while (rs.next()) {
	            int id = rs.getInt("photo_id");
	            IPhoto p = PhotoFactory.getPhotoByID(id);
	            if (p != null) {
	                photos.add(p);
	            }
	        }
	    } catch (SQLException e) {
	        e.printStackTrace();
	    } finally {
	        rsw.closeAll();
	    }
	    
	    
		for (int i = 0; i < photos.size(); i++) {
		    IPhoto p = (IPhoto) photos.get(i);
		    out.print("<img border=\"0\" src=\"" + p.getURL(null, null, 100) + "\">");
		}
    }
%>
</form>

</body>
</html>
