/*
 * Created on Aug 16, 2004
 *
 */
package gcr.mmm2.model;

import java.util.Date;
import gcr.mmm2.util.StringUtils;

/**
 * Represents user comments on photos
 * @author Simon King
 * 
 */
public class Comment {
    private String m_comment;

    private Date m_createDate;

    private IUser m_owner;

    private int m_id;

    protected Comment(int id, String comment, Date createDate, IUser owner) {
        this.m_id = id;
        this.m_comment = comment;
        this.m_createDate = createDate;
        this.m_owner = owner;
    }

    public int getID() {
        return this.m_id;
    }

    public String getComment() {
        return this.m_comment;
    }

    public Date getDate() {
        return this.m_createDate;
    }

    public IUser getOwner() {
        return this.m_owner;
    }

}
