/*
 * This is an interface for a person object. Anything that is fundamentally a person (i.e. user, contact, etc) whould inherit from this.
 * Created on Aug 10, 2004
 *
 */
package gcr.mmm2.model;

/**
 * @author Simon King
 * 
 */
public interface IPerson {
    public int getID();

    public String getFirstName();

    public String getLastName();

    public void setFirstName(String firstName) throws PermissionException;

    public void setLastName(String lastName) throws PermissionException;

    public String getURI();
}
