/*
 * Created on Aug 16, 2004
 *
 */
package gcr.mmm2.model;

/**
 * An exception that can be thrown when an attempt is made
 * to access something for which the user has no permission.
 * @author Simon King
 *
 */
public class PermissionException extends Exception {
	public PermissionException (String message) {
		super(message);
	}
	
	public PermissionException (String message, Throwable cause) {
		super(message, cause);
	}
}
