/*
 * Created on Jul 7, 2004
 *
 */
package gcr.mmm2.util;

import gcr.mmm2.rdf.Person;
import gcr.mmm2.rdf.User;

/**
 * @author jeff
 *
 */
public class AddUser {

	public static void main(String[] args) {
		
//		[0] = first name
//		[1] = last name
//		[2] = username
//		[3] = password
		
		if(args.length != 4){
			System.out.println("[first name] [last name] [username] [password]");
			System.exit(0);
		}
		
		String firstName = args[0];
		String lastName = args[1];
		String userName = args[2];
		String password = args[3];
		
		Person p = new Person(firstName, lastName);
		System.out.println(p.toString() + " has URI: " + p.getURI());
		
		User u = new User(p, userName, password);
		System.out.println("Successfully created user '" + u.getUserID() + "'");
	}
}
