package gcr.rdf;
import java.io.IOException;
import java.util.HashSet;
import java.util.logging.FileHandler;
import java.util.logging.Logger;

import com.hp.hpl.jena.rdf.listeners.StatementListener;
import com.hp.hpl.jena.rdf.model.Model;
import com.hp.hpl.jena.rdf.model.Statement;

/*
 * Created on Jun 10, 2004
 *
 */

/**
 * @author jeff
 *
 */
public class ModelListener extends StatementListener {

	Model m;
	HashSet add, remove;
	Logger l;

	/**
	 * 
	 */
	public ModelListener(Model m, HashSet add, HashSet remove) {
		super();
		this.m = m;
		this.add=add;
		this.remove=remove;
		l = Logger.getLogger("gcr.rdf.ModelListener");
		try {
			FileHandler handler=new FileHandler("/statements.log");
			l.addHandler(handler);
		} catch (IOException ignored) {
		}
	}
	
//	public TestListener(){
//		super();
//	}
	
	

	/* (non-Javadoc)
	 * @see com.hp.hpl.jena.rdf.model.ModelChangedListener#addedStatement(com.hp.hpl.jena.rdf.model.Statement)
	 */
	public void addedStatement(Statement arg0) {
		if (add.contains(arg0)) {
			add.remove(arg0);
		} else {
			add.add(arg0);
			m.add(arg0);
			//l.info(arg0.toString());
		}
		//super.addedStatement(arg0);
		//		if (m instanceof OntModel) {
		//			System.out.print("OntModel");
		//		} else {
		//			System.out.print("Model");
		//		}
		//		System.out.println(" added a Statement!!!!\t" + arg0.toString());
	}

	/* (non-Javadoc)
	 * @see com.hp.hpl.jena.rdf.model.ModelChangedListener#removedStatement(com.hp.hpl.jena.rdf.model.Statement)
	 */
	public void removedStatement(Statement arg0) {
		if (remove.contains(arg0)) {
			remove.remove(arg0);
		} else {
			remove.add(arg0);
			m.remove(arg0);
		}
		//super.addedStatement(arg0);
		//		if (m instanceof OntModel) {
		//			System.out.print("OntModel");
		//		} else {
		//			System.out.print("Model");
		//		}
		//		System.out.println(" removed a Statement!!!!\t" + arg0.toString());
	}

}
