<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>


<%

IUser u=UserManager.getByUsername(request.getRemoteUser());

int userID=-1;
IUser user=null;
String redirectURL=null;
String imsi=null;
String password=null;
String errMsg=null;
int ontology_ns = 0;
	
if(request.getParameter("redirectURL") != null) {
	redirectURL = request.getParameter("redirectURL");
}
if (redirectURL == null) {
	redirectURL = "./index.jsp";
}

if(request.getParameter("userID") != null) {
	userID = Integer.parseInt(request.getParameter("userID"));
	user=UserManager.getByID(userID);
}

if ((request.getParameter("submit") != null)&&(user!=null)) {
	
	if(request.getParameter("password") != null) {
		user.resetPassword(u);
	}
	if(request.getParameter("btMac") != null) {
		String btMac=request.getParameter("btMac");
		if (btMac.length()==12) {
			PersonManager.associateBTDevice(user, btMac.toLowerCase(), u);
		}
	}
	if(request.getParameter("imsi") != null) {
		imsi = request.getParameter("imsi");
		user.setPhoneID(imsi,u);
	}
	
	if(request.getParameter("ontology_ns") != null) {
		ontology_ns = Integer.parseInt(request.getParameter("ontology_ns"));
		user.setRDFNameSpaceID(ontology_ns, user);
	}
		
	errMsg="User "+user.getUsername()+" updated";
	user=null;
}
%>


<html>
<%
if (errMsg!=null) {
%>
	<b><%=errMsg%></b><p>
<%
}
if (user==null) { // list users
%>
Select a user to edit<p>
<%
	Iterator i=UserManager.listUsers().iterator();
	while (i.hasNext()) {
		user=(IUser)i.next();
%>
<a href="edit_user.jsp?userID=<%= user.getID()%>"><%= user.toString()%></a><br>
<%
	} // end while
} else { // show the edit user form
%>
<a href="./index.jsp">Back to Home</a>
<hr>
Edit User:<br>
<form method="GET" >
	<input type="hidden" name="redirectURL" value="<%=redirectURL%>">
	<input type="hidden" name="userID" value="<%=userID%>">
	First Name: <%= user.getFirstName() %><br>
	Last Name: <%= user.getLastName() %><br>
	Username:<%= user.getUsername() %><br>
	Reset Password:<input type=checkbox name="password"><br>
	IMSI:<input name="imsi" value="<%= user.getPhoneID() %>"><br>
	Add new Bluetooth MAC addr:<input name="btMac">(adds a new one each time you submit non-empty here)<br>
	Ontology: 
      <select name="ontology_ns">
  		<option value="0"></option>
	 	<%
      	Iterator i =UserManager.listOntologies().iterator();
		while(i.hasNext()){
			String[] s = (String[])i.next();
			out.print("<option value='"+s[0]+"' ");
			if(Integer.parseInt(s[0]) == user.getRDFNameSpaceID())
				out.print("selected");
			out.println(">"+s[1]+"</option>");
		}
		%>
	  </select>
	<br>
	<input type="submit" name="submit" value="Submit">
</form>
<%
} // end if userID<0
%>
</html>