<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="gcr.rdf.*" %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.util.StringUtils" %>
<%@ page import="com.hp.hpl.jena.ontology.Individual" %>

<%
	String mySessKey="create-";
	String username = request.getRemoteUser();
	IUser u = UserManager.getByUsername(username);	
	
	String annotationClassURI=request.getParameter("classURI");
	//System.out.println("createinstance.jsp clURI param="+annotationClassURI);
	String subjectURI = request.getParameter("subjectURI");
	// TODO check that subjectURI exists as annotatableObject -- and classURI is OK
	
	String parentSessKey=request.getParameter("sessPropName");
	String myFullURL=request.getRequestURI()+"?"+request.getQueryString();
	String parentURL=request.getParameter("parentURL");
	mySessKey=mySessKey+subjectURI+"-";
	// add BASE_URI2 back to URI variables (and strip out later when we pass as params)
	//subjectURI=MMMModelFactory.BASE_URI2+subjectURI;
	//annotationClassURI=MMMModelFactory.BASE_URI2+annotationClassURI;
	subjectURI=StringUtils.expandURI(subjectURI);
	boolean isEdit=RDFManipulator.isAnnotationObject(subjectURI);
	annotationClassURI=StringUtils.expandURI(annotationClassURI);
	
	String baseSubjectURI=subjectURI;
	if (annotationClassURI.equals(RDFManipulator.getInstanceClass(subjectURI)) ) {
		baseSubjectURI=RDFManipulator.getBaseSubjectURI(subjectURI);
	}
	//System.out.println("createinstance -- base="+baseSubjectURI+", subj="+subjectURI);		
	
	String redirectURL=request.getParameter("redirectURL");
	//System.out.println("createinstance redir : "+redirectURL);
	if (redirectURL!=null && redirectURL.length()>0) {
		//System.out.println("createinstance redirecting");
				
		Iterator i=RDFManipulator.listAnnotationProperties(annotationClassURI).iterator();
		while (i.hasNext()) {
			String[] s=(String[])i.next();
			String p=request.getParameter(s[0]);
			// store form fields in session to get back after redirect returns
			if (p!=null && p.length()>0) {
				//System.out.println("createinstance adding "+p+" to session with sesskey="+mySessKey+s[0]);
				session.setAttribute(mySessKey+StringUtils.stripBaseURI(s[0]), p);
			}
		}
		response.sendRedirect(redirectURL);
	}
	String submit=request.getParameter("Submit");
	if (submit != null) {
	//System.out.println("\n\n\nci -- annotURI : "+annotationClassURI+"\n\n\n");
		// create the object, clear out session stuff, add object to parent's session key
		// TODO -- be careful working with Individuals rather than resources
		
		// check to make sure that this annotation isn't empty
		boolean isEmpty=true;
		Iterator i=RDFManipulator.listAnnotationProperties(annotationClassURI).iterator();
		while (i.hasNext() && isEmpty) {
			String[] s=(String[])i.next();
			String p=request.getParameter(s[0]);
			if ((p!=null)&&(p.length()>0)) { 
				isEmpty=false;
			}
		}
		if (isEmpty) {
			// close window?  do nothing?  what?
		%>
			<html>
			<head>
			<script language="JavaScript" src="../resources/scripts/open_edit_window.js"></script>
			</head>
			<body onload="reload_parent_and_close('<%=parentURL%>')">
			</body>
			</html>
		<%				
		} else { // go ahead and create new individual
			Individual ind=RDFManipulator.createIndividual(annotationClassURI);
			//System.out.println("new individual : "+ind.getURI());
			// add user supplied properties
			i=RDFManipulator.listAnnotationProperties(annotationClassURI).iterator();
			while (i.hasNext()) {
				String[] s=(String[])i.next();
				String p=request.getParameter(s[0]);
				// remove unused stuff from session
				session.removeAttribute(mySessKey+StringUtils.stripBaseURI(s[0])); //mySessKey+s[0]);
				if ((p!=null)&&(p.length()>0)) { 
					RDFManipulator.addAnnotationProperty(ind, s[0], p);
				} 
			}
			// add system-generated properties
			RDFManipulator.addAnnotationProperty(ind, RDFManipulator.PROPERTY_CREATOR_URI, u.getURI());
			// TODO want SUBJECT for annotationObject, looser associatedObject for others
			if (RDFManipulator.isAnnotationObject(ind)) {
				// new inner if for edits -- look out
				if (RDFManipulator.getInstanceClass(ind).equals(RDFManipulator.getInstanceClass(subjectURI)) ) {
					String newSubjURI=RDFManipulator.addAnnotationEditTarget(ind, subjectURI);
					//System.out.println("createinstance edit of an annotation class");
					RDFManipulator.addAnnotationProperty(ind, RDFManipulator.PROPERTY_SUBJECT_URI, newSubjURI);
				} else {				
					//System.out.println("createinstance annotation class");
					RDFManipulator.addAnnotationProperty(ind, RDFManipulator.PROPERTY_SUBJECT_URI, subjectURI);
				}
			} else {
				//System.out.println("createinstance non-annotation class");
				// need to not do range checking here
				//System.out.println(subjectURI+", "+RDFManipulator.PROPERTY_HAS_ASSOC_OBJ_URI+", "+ind.getURI());
				RDFManipulator.addProperty2(subjectURI, RDFManipulator.PROPERTY_HAS_ASSOC_OBJ_URI, ind.getURI());
			}
			RDFManipulator.addAnnotationProperty(ind, RDFManipulator.PROPERTY_TIMESTAMP_URI, StringUtils.getXMLDateTime(new Date()));
			// add new object to session with parent's key
			//System.out.println("createinstance psk="+parentSessKey+", uri="+ind.getURI());
			if (parentSessKey!=null) {
				session.setAttribute(parentSessKey, ind.getURI());
			}
			if ((parentURL.indexOf("annotation/annotate.jsp")>-1)&&(parentURL.indexOf("annotation/annotate.jsp")<15)) {
	%>
			<html>
			<head>
			<script language="JavaScript" src="../resources/scripts/open_edit_window.js"></script>
			</head>
			<body onload="reload_parent_and_close('<%=parentURL%>')">
			</body>
			</html>
	<%		
			} else {
				response.sendRedirect(parentURL);
			}
		} // end if !isEmpty
	} // end if submit
	
	
%>
<html>
<head>
<script type="text/javascript">
	
	function redirect_and_save(url)
	{
		document.form1.redirectURL.value=url;
		document.form1.submit();
	}
	
</script>
<title><%= RDFManipulator.getClassLabel(annotationClassURI) %></title>
<link href="../resources/styles/master.css" rel="stylesheet" type="text/css">
<link href="../resources/styles/faceted_annotation.css" rel="stylesheet" type="text/css">
</head>
<body>
	<h1>
		<% if (isEdit) { %>
			Edit Existing
		<% } else { %>
			Create New
		<% } %>
		<%= RDFManipulator.getClassLabel(annotationClassURI) %>
	</h1>
	
	<!--
	subjectURI=<%= subjectURI %><p>
	annotationClassURI=<%= annotationClassURI %><p>
	parentSessKey=<%= parentSessKey %><p>
	mySessKey=<%= mySessKey %><p>
	parentURL=<%= parentURL %><p>
	myFullURL=<%= myFullURL %><p>
	myFullURL.length=<%= myFullURL.length() %><p>
	-->
	
<%	if (submit != null) {
		Iterator i=RDFManipulator.listAnnotationProperties(annotationClassURI).iterator();
		while (i.hasNext()) {
			String[] s=(String[])i.next();
			String p=request.getParameter(s[0]);
%>			<%= s[0] %> -- <%= p %><br>
<%		
		}
		return;
	}
%>

	<form name="form1">
		<input type=hidden name="redirectURL" value="">
		<input type=hidden name="classURI" value="<%= StringUtils.stripBaseURI(annotationClassURI) %>">
		<input type=hidden name="subjectURI" value="<%= StringUtils.stripBaseURI(subjectURI) %>">
		<input type=hidden name="parentURL" value="<%= parentURL %>">
		<input type=hidden name="sessPropName" value="<%= parentSessKey %>">
<%		
		//System.out.println("createinstance.jsp anClassURI="+annotationClassURI);
		Iterator i=RDFManipulator.listAnnotationProperties(annotationClassURI).iterator();
		while (i.hasNext()) {
			String s[]=(String[])i.next();
			String propValue=(String)session.getAttribute(mySessKey+StringUtils.stripBaseURI(s[0]));
			//System.out.println("createinstance got value "+propValue+" for session key "+mySessKey+StringUtils.stripBaseURI(s[0]));
			String propLabel=null;
			String emptyNullVal=null;
			
			// try to preset values if we're editing an existing annotation
			if (isEdit && propValue==null) {
				propValue=RDFManipulator.getPropertyValue(subjectURI, s[0]);
			}
			
			if (propValue==null) {
				propLabel="[none]";
				emptyNullVal="";
			} else {
				// gotta get string representation of propLable
				propLabel=RDFManipulator.getResourceLabel(propValue);
				emptyNullVal=propValue;
			}
			// TODO -- gotta store propValue someplace
%>				
			<div style="clear:both;"><strong><%= s[1] %></strong>:</div>
			
<%			switch (RDFManipulator.getAnnotationPropertyType(s[0])) {
				case RDFManipulator.DATATYPE_PROPERTY :
%>
					<input type=text name="<%= s[0] %>" value="<%= emptyNullVal%>"><br>
<%					break;
				case RDFManipulator.TAXONOMY_CLASS_PROPERTY :
					if (propValue!=null) {
						propLabel=RDFManipulator.getResourceLabel(propValue);
					}
					// could also specify start param to treebrowse.jsp
 					String treeQry="rootURI="+StringUtils.URLEncode(RDFManipulator.getAnnotationPropertyRange(s[0])[0]);
 					if (propValue!=null) {
 						treeQry=treeQry+"&leafURI="+StringUtils.URLEncode(propValue);
 					}
					treeQry=treeQry+"&parentURL="+StringUtils.URLEncode(request.getRequestURI()+"?"+request.getQueryString());
					treeQry=treeQry+"&sessPropName="+StringUtils.URLEncode(mySessKey+StringUtils.stripBaseURI(s[0]));
					treeQry=StringUtils.URLEncode(treeQry);
%>
					<%= propLabel %> <a href="javascript:redirect_and_save('./treebrowse.jsp?<%= treeQry %>')">(browse tree)</a><br>
					<input type=hidden name="<%= s[0] %>" value="<%= emptyNullVal %>">
<%					break;
				case RDFManipulator.INSTANTIABLE_INSTANCE_PROPERTY :
					// TODO fill in here
					break;
				case RDFManipulator.PERSON_ID_PROPERTY :
					// TODO -- select the selected person if any
					// TODO better person select than list?
					Iterator pIter=PersonManager.listAvailablePersons(u).iterator();
%>
					<select name="<%= s[0] %>">
					<option>--None--</option>					
<%					while (pIter.hasNext()) {
						IPerson pers=(IPerson)pIter.next();
						String selected="";
						if (pers.getURI().equals(propValue)) {
							selected="selected";
						}
%>
						<option value="<%= pers.getURI() %>" <%= selected %>><%= pers.toString() %></option>
<%					} // end while pIter
%>
					</select>
					<br>
<%					break;
				// case PERSON_ID_PROPERTY:
				case RDFManipulator.MMMBASE_INSTANCE_PROPERTY :
					//if (propValue!=null) {
					//	propLabel=StringUtils.getMapAsHTML(RDFManipulator.getObjectAsPropMap(propValue));
					//}
					// TODO: list associated instances already created
					String range[]=RDFManipulator.getAnnotationPropertyRange(s[0]);
					Iterator assocIter=RDFManipulator.listAssociatedObjects(baseSubjectURI, range[0]).iterator();					
					if (assocIter.hasNext()) {
%>
						<div class="edit_existing_container">
<%						while (assocIter.hasNext()) {
								String objURI=(String)assocIter.next();
								String checked="";
								if ((propValue != null) && (propValue.equals(objURI))) {
									checked="checked";
								}
								//String label=StringUtils.getListAsHTML(RDFManipulator.getObjectAsList(objURI,false));
								//String label=StringUtils.getMapAsHTML2(RDFManipulator.getWrappedRDFObject2(objURI,false).getPropMap(),false,true);
								String label = StringUtils.getMapAsIndentedHTML(RDFManipulator.getWrappedRDFObject2(objURI,false).getPropMap(), true);
%>								
								<div class="edit_existing_item_container">
									<div class="edit_existing_radio"><input type=radio name="<%= s[0] %>" <%= checked %> value="<%= objURI %>"></div>
									<div class="edit_existing_label"><%= label %></div>
								</div>
					<%	} // end while
%>
						</div>
<%					} // end if
					String createQry="classURI="+StringUtils.URLEncode(StringUtils.stripBaseURI(range[0]));
					createQry=createQry+"&parentURL="+StringUtils.URLEncode(myFullURL);
					createQry=createQry+"&sessPropName="+StringUtils.URLEncode(mySessKey+StringUtils.stripBaseURI(s[0]));
					createQry=createQry+"&subjectURI="+StringUtils.URLEncode(StringUtils.stripBaseURI(baseSubjectURI)); //subjectURI
					createQry=StringUtils.URLEncode(createQry);
%>
					<div class="create_new_instance">
						<a href="javascript:redirect_and_save('./createinstance.jsp?<%= createQry %>')">(create new <%= range[1] %> instance)</a>
					</div>	
<%					break;
				default :
%>
				Unknown property type<br>
<%
			} // end switch		
%>	
		<br>
<%		
		} // end while
%>
	<br>
	<input type=submit name="Submit" value=submit>
</form>		

</body>
</html>
