<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="java.util.logging.*" %>

<%
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);
	final Logger log = Logger.getLogger("contactActivity");
	
	String entry = "";
	if(request.getParameter("entry") != null)
		entry = request.getParameter("entry");
	
	//
	// Get all the photos and turn them into manageable objects
	//
	HashSet photos = new HashSet();
	String[] photoIDs = request.getParameterValues("photoID");
	if(photoIDs == null){
		return;
	}
	
	for(int i = 0; i < photoIDs.length; i++){
		try{
			int photoID = Integer.parseInt(photoIDs[i]);
			IPhoto current = PhotoFactory.getPhotoByID(photoID);
			photos.add(current);
		}catch(NumberFormatException nfe){
			log.info("Add to Album: format exception.");
			return;
		}
	}

	String[] blogs = request.getParameterValues("blog");
	if(blogs != null){
		for(int i = 0; i < blogs.length; i++){
			Blog cur_blog = UserManager.getBlogByID(Integer.parseInt(blogs[i]));
			cur_blog.postEntry("MMM2 Photo", entry, photos, m_user);
		}//end for
		if(session.getAttribute("actionRedirect") != null){
		    response.sendRedirect((String)session.getAttribute("actionRedirect"));
		}else{
			response.sendRedirect("./index.jsp");
		}
		return;
	}
%>

<html>
<head>
<title>Blog Some Media</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="header.jsp" %>
<div style="clear:both;">
<table width="100%" border="0">
  <tr>
    <td width="50%" height="275" valign="top"> 

        <table width="45%" border="0" cellspacing="5" cellpadding="5">
        <tr>
		<%
		int i_max_columns = 1;
		int i_cur_column = 0;
		Iterator photo_it = photos.iterator();
		
		while (photo_it.hasNext()) {
		        IPhoto p = (IPhoto)photo_it.next();
		        if(p == null){continue;}
		
		        if(i_cur_column == 0){
		            out.write("<tr>");
		        }
		%>
		    <td valign="top" align="left">
		    <img class="photo" src="<%=p.getURL(null,null,200)%>"><br>
		    <%=p.getCaption()%><br>
		    </td>
		    <%
		    if(i_cur_column == i_max_columns-1){
		        i_cur_column=0;
		        out.write("</tr>");
		    }
		    else{
		        i_cur_column++;
		    }
		} // end while
		%>
		</tr>
		</table>

      
      
      </td>
    <td width="50%" valign="top"> 
      <form name="blogpost" method="post" action="blog.jsp">
    <%
		for(int i = 0; i < photoIDs.length; i++){
			out.write("<input type='hidden' name='photoID' value='"+photoIDs[i]+"'>");
		}
	%>
      
        <table width="100%" border="0">
          <tr> 
            <td colspan="2" valign="top"><div class="collection_title">Post to Blog</div></td>
          </tr>
          <tr>
          <td colspan="2">
		<%
			List bloglist = m_user.listBlogs();
			if(bloglist.size() > 0){
				Iterator blog_it = bloglist.iterator();
				while(blog_it.hasNext()){
					Blog cur_blog = (Blog)blog_it.next();
					out.write("<label><input type='checkbox' name='blog' value="+cur_blog.getID()+">"+cur_blog.getTitle()+"</label><br>\n");
				}
			}
		%>
			</td>
		  </tr>
		  <tr>
		  <td colspan="2"><a href="add_blog.jsp?returnTo=<%=URLEncoder.encode("blog.jsp?"+request.getQueryString())%>">Add New Blog</a></td>
		  </tr>
		  <tr> 
            <td valign="top">Entry:</td>
            <td valign="top">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" valign="top"><textarea name="entry" cols="80" rows="7"></textarea></td>
          </tr>
          <tr>
          <td>&nbsp;</td>
          <td><input name="post_to_blog" type="submit" value="Post to Blog!!"></td>
          </tr>
        </table>
      </form>
	</td>
  </tr>
</table>
</div>
</body>
</html>
