<%@ page language='java' %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gcr.mmm2.util.StringUtils" %>
<%@ page import="gcr.mmm2.server.servlets.JpegRotator" %>

<%

	int ownerFilter = MediaManager.ALL_VISIBLE;
	
	String pageTitle = "";
	
	//int timeRange = MediaManager.NEWEST;
	//int ownerFilter = MediaManager.ALL_VISIBLE;
	//String pageTitle = "Pictures";
	pageTitle = "Pictures";
	UIState uiState = (UIState)session.getAttribute("uiState");

	
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);
	
	if(m_user==null) {
		throw new ServletException("User was null:"+username + ","+m_user);
	}
	
	if(uiState==null) {
		throw new ServletException("UIState was null, please check XML file.");
	}
	
	if(request.getParameter("range") != null) {
		uiState.setTimeRange(Integer.parseInt(request.getParameter("range")));
	}
	
	if(request.getParameter("bt_mac") != null) {
		uiState.setBt_mac(request.getParameter("bt_mac"));
	}
	
	if(request.getParameter("ownerFilter") != null) {
		uiState.setOwnerLimit(Integer.parseInt(request.getParameter("ownerFilter")));
	}
	
	if(request.getParameter("ownerFilter") != null) {
		ownerFilter = Integer.parseInt(request.getParameter("ownerFilter"));
	}
	
	switch(ownerFilter) {
		case(MediaManager.ALL_VISIBLE):
			pageTitle = "All Photos with Bluetooth";
			break;
		case(MediaManager.OWNED_PHOTOS):
			pageTitle = "My Photos with Bluetooh";
			break;
		case(MediaManager.RECEIVED_PHOTOS):
			pageTitle = "Received Photos with Bluetooth";
			break;
		default:
			break;
	}
	
	
	List m_photos = new ArrayList();

	m_photos = PhotoFactory.listAllVisiblePhotosByBluetoohMac(m_user, MediaManager.SORT_DATE_ASC, uiState.getBt_mac());

	
	ArrayList currentCollection = new ArrayList();
	currentCollection.addAll(m_photos);
	Iterator id_it = currentCollection.iterator();
	ArrayList idArray = new ArrayList(currentCollection.size());
	for(int i = 0; i < currentCollection.size(); i++){
		IPhoto p = (IPhoto)currentCollection.get(i);
		idArray.add(new Integer(p.getID()));
	}
	
	session.setAttribute("collection", idArray);
	session.setAttribute("collectionTitle", pageTitle);
	session.setAttribute("actionRedirect", request.getRequestURL().toString()+"?"+request.getQueryString());
%>

<html>
<head>
<title><%=pageTitle%></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
<STYLE>
<!-- 
#pup {position:absolute; visibility:hidden; z-index:200; width:260; }
 --> 
</STYLE>

</head>

<body>

<!-- top area -->
<table border="0" width="100%"><tr><td colspan="2" valign="top" align="center">
<%@ include file="header.jsp" %>
</td></tr>
<!-- left column -->
<tr><td width="160" valign="top" align="left">
	<%@ include file="timeline.jsp" %>
	<%@ include file="my_albums_menu.jsp"%>
	<%@ include file="received_albums_menu.jsp"%>	
</td>
<!-- end left column -->
	
<!-- right column / (PhotoGrid) -->
<td width="*" valign="top" align="left">

<%@ include file="include_photomain.jsp" %>

</td>
<!-- end right column -->
</tr>
</table>

</body>
</html>