<%@ page import="com.oreilly.servlet.*" %>
<%@ page import="com.oreilly.servlet.multipart.*" %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="gcr.mmm2.rdb.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.io.*" %>

<%

	IUser u=UserManager.getByUsername(request.getRemoteUser());

	String IMAGE_PATH = request.getRealPath("/WEB-INF/images");
	IMAGE_PATH=u.getUploadDirectory();
	System.out.println("IMAGE FILE PATH: " + IMAGE_PATH);
	try {
		MultipartRequest mp = new MultipartRequest(request, IMAGE_PATH, 100000000, new DefaultFileRenamePolicy() );
		String filename=null;
		
		String dateTime="20000000T000000";
		String query="select to_char(now(),'yyyymmdd')||'T'||to_char(now(),'hh24miss')";
		ResultSetWrapper rsw = RDBConnection.executeQuery(query);
		ResultSet rs = rsw.getResultSet();
		EmailAddress email=null;
		try {
			if (rs.next()) {
				dateTime=rs.getString(1);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		} finally {
			rsw.closeAll();
		}
		
		Enumeration e=mp.getFileNames();
		while (e.hasMoreElements()) {
			filename=mp.getFilesystemName((String)e.nextElement());
		}
		//rename the file
		String newFileName = u.getID() + "M" + dateTime + ".jpg";
		
		String renamedFilePath = IMAGE_PATH+"/" + newFileName;
		System.out.println("old="+filename+"\tnew="+renamedFilePath);
		File origFile = new File(IMAGE_PATH+"/"+filename);
		File newFile = new File(renamedFilePath);
		boolean success = origFile.renameTo(newFile);
		if (!success) {
			// File was not successfully renamed
		}
		
		if (filename!=null) { // file upload successful
			filename=filename.substring(0,filename.length()-4);
			e=mp.getParameterNames();
			String q="";
			while (e.hasMoreElements()) {
				String n=(String)e.nextElement();
				String v=mp.getParameter(n);
				if (!"".equals(v)) {
					q=q+"&"+n+"="+response.encodeURL(v);
				}
			}
			request.getSession().invalidate();
			response.sendRedirect("shareMobile?datetime="+response.encodeURL(dateTime)+q);
		}	
	} catch (Exception e) {
		//do nothing
	}

%>

<html>
<hr>
<h1>Let's upload a some context!</h1>
<form action="./contextTest.jsp" method="post" enctype="multipart/form-data">
pick a file:<input type=file name=testfile><p>
user imsi:<input name=user><br>
<input type=hidden name=filename value='asddd'>
tag:<input name=tag><br>
desc:<input name=desc><br>
network:<input name=network><br>
lac:<input name=lac><br>
cellid:<input name=cellid><br>
btlist:<input name=btlist><br>
<br>				
<input type=submit name=submit value='submit'>

</form>
</html>