<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>


<%
	String username = request.getRemoteUser();
	IUser u = UserManager.getByUsername(username);

	/*Load up the album!!
	 *
	 */
	int m_albumID = -1;
	if(request.getParameter("albumID") != null) {
		try{
	    	m_albumID = Integer.parseInt(request.getParameter("albumID"));
	    }catch(NumberFormatException nfe){
	    	//close this window
	    	return;
	    } 
	}
	IAlbum m_album = AlbumFactory.getAlbumByID(m_albumID);
	if(m_album == null){
		//close this window
		return;
	}
	
	if( (request.getParameter("album_title") != null) || (request.getParameter("album_caption") != null) ){
		String title = request.getParameter("album_title");
		if(title == null){
			title = "Unnamed Album";
		}
		
		String caption = request.getParameter("album_caption");
		if(caption == null){
			caption = "";
		}
		
		m_album.setCaption(caption, u);
		m_album.setTitle(title, u);
		%>
		<html>
		<head>
		<script language="JavaScript" src="resources/scripts/open_edit_window.js"></script>
		</head>
		<body onload="reload_parent_and_close('album.jsp?id=<%=m_album.getID()%>')">
		</body>
		</html>
		<%
	}


%>
<html>
<head>
<title>Update Album Name</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>

<body>
<%@ include file="popup_header.jsp" %>
<table border="0" >
<form method="get" action="edit_album.jsp" name="edit_album">
<input type="hidden" name="albumID" value="<%=m_album.getID()%>">
	<tr>
		<td colspan="2" align="left"><h1>Update Album Name</h1></td>
	<tr>	
		<td align="right" width="30%">Album Title</td>
		<td align="left"><input type="text" value="<%=m_album.getTitle()%>" name="album_title"></td>
	</tr>
	<tr>
		<td align="right">Album Caption</td>
		<td align="left"><input type="text" value="<%=m_album.getCaption()%>" name="album_caption"></td>	
	</tr>
	
	<tr>
		<td>&nbsp;</td><td align="left"><input type="submit" value="Update Album"></td>
	</tr>
</form>
</table>

</body>
</html>