<% 
if("true".equals(request.getParameter("report"))) {
	response.setContentType("text/xml"); 
	response.addHeader("Content-Disposition","attachment; filename=\"report.xml;\"" );
} 
%><%@ 
page language='java' %><%@ 
page import="gcr.mmm2.model.*" %><%@ 
page import="gcr.mmm2.util.*" %><%@ 
page import="gcr.mmm2.util.StringUtils" %><%@ 
page import="gcr.mmm2.rdb.*" %><%@ 
page import="java.util.*" %><%@ 
page import="java.util.zip.*" %><%@ 
page import="java.sql.*" %><%@ 
page import="java.io.*" %><%! 

	String queryToTable(String query) {
        String table = "<table border=1>";
        
        final ResultSetWrapper rsw = RDBConnection.executeQuery(query);
        try {
            ResultSet rs = rsw.getResultSet();
            ResultSetMetaData rsmd = rs.getMetaData();
            int colCount = rsmd.getColumnCount();
            
            table += "<tr>";
            for (int i = 1; i <= colCount; i++) {
            	table += "<th>"+rsmd.getColumnName(i)+"</th>";
            }
            
            while (rs.next()) {
            	table += "<tr>";
                for (int i = 1; i <= colCount; i++) {
                	table += "<td>"+rs.getString(i)+"</td>";
                }
                table += "</tr>";
            }
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            rsw.closeAll();
        }
        table += "</table>";
		return table;
	}


    Hashtable hashQuery(final String query, final String keyID, final boolean isUnique ) {
        final Hashtable results = new Hashtable();
        final ResultSetWrapper rsw = RDBConnection.executeQuery(query);
        try {
            ResultSet rs = rsw.getResultSet();
            ResultSetMetaData rsmd = rs.getMetaData();
            int colCount = rsmd.getColumnCount();
            while (rs.next()) {
                final Properties row = new Properties();
                for (int i = 1; i <= colCount; i++) {
                    if (rs.getString(i) != null) {
                        row.setProperty(rsmd.getColumnName(i), rs.getString(i));
                    }
                }

				final String key = row.getProperty(keyID);
                if (isUnique) {
                    results.put(key, row);
                } else {
                    if (!results.containsKey(key)) {
                        results.put(key, new LinkedList());
                    }
                    LinkedList ll = (LinkedList) results.get(key);
                    ll.addLast(row);
                }
            }
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            rsw.closeAll();
        }
        return results;
    }

    String propToXml(Properties row, String wrapper) {
    	
    	StringBuffer buff = new StringBuffer();        
        if(wrapper!=null)
        	buff.append("<").append(wrapper).append(">\n");
        Enumeration cols = row.keys();
        while (cols.hasMoreElements()) {
            String col = (String) cols.nextElement();
            String value = row.getProperty(col).replaceAll("&", "&amp;").replaceAll("<", "&lt;").replaceAll(">", "&gt;").replaceAll("'", "&apos;");
            
            buff.append("<").append(col).append(">").append(value).append("</").append(col).append(">\n");
        }
        if(wrapper!=null)
        	buff.append("</").append(wrapper).append(">\n");       
        	 
        return buff.toString();
    }
%><%

if("true".equals(request.getParameter("report"))) { 
%><?xml version="1.0" standalone="yes"?>
<MMM date="<%=System.currentTimeMillis()%>">
<%
	String query = "select * from photo where date_inactive is null";
	final Hashtable photos = hashQuery(query, "id", true);
	
	query = "select * from context_mined";
	final Hashtable contexts = hashQuery(query, "id", true);

	query = "select * from context_bluetooth_mined";
	final Hashtable bluetooths = hashQuery(query, "context_id", false);

	query = "select pip.id as id, pip.photo_id as photo_id, pip.person_id as person_id, pip.left_coordinate as left_coordinate, "+
	"pip.top_coordinate as top_coordinate, pip.width as width, pip.height as height, p.first || ' ' || p.last as name from person_in_photo pip, person p where pip.person_id=p.id";
	final Hashtable faces = hashQuery(query, "photo_id", false);

// todo: Shares
// select sp.share_id, p.id as photo_id, sp.date_added, p.created_by, sr.recipient  from share_recipient sr, share_photo sp, photo p where sr.share_id=sp.share_id and sp.photo_id=p.id and sr.date_inactive is null and sp.date_inactive is null and p.date_inactive is null

    final Enumeration ids = photos.keys();
    while (ids.hasMoreElements()) {
        String photoid = (String) ids.nextElement();
        out.println("<Photos>");
        
        Properties photo = (Properties) photos.get(photoid);
        out.println(propToXml(photo, null));

		String context_id = photo.getProperty("context_id");
        if (context_id != null && contexts.containsKey(context_id)) {
            out.println(propToXml((Properties) contexts.get(context_id), "Context"));
  
  			if(bluetooths.containsKey(context_id)) {          
				Iterator bluetoothitr = (((LinkedList)bluetooths.get(context_id))).iterator();
		        while(bluetoothitr.hasNext()) {
		            out.println(propToXml((Properties)bluetoothitr.next(), "BluetoothContext"));
		     	}
	     	}            
        }
        
        if(faces.containsKey(photoid)) {
			Iterator faceitr = (((LinkedList)faces.get(photoid))).iterator();
	        while(faceitr.hasNext()) {
	            out.println(propToXml((Properties)faceitr.next(), "PersonInPhoto"));
	        }
        }
        
        out.println("</Photos>");
    }

%>
</MMM>

<% } else { %>

<body style="font-family:Verdana, Arial, Helvetica, sans-serif ">
<h2>MMM2 Report</h2>
<form action="report.jsp" method="post">
<input type="hidden" name="report" value="true">

<h3>Generate Report</h3>
<table border="0" cellpadding="3" cellspacing="0" width="60%">
<!--
	<tr>
		<td align="right"><input type="checkbox" value="1" name="private" /></td>
		<td width="100%" align="left">Include Private (Non-publishable) images</td>
	</tr>

	<tr>
		<td align="right"><input type="checkbox" value="1" name="bluetooth" /></td>
		<td width="100%" align="left">Include Bluetooth Context (Neighbors)</td>
	</tr>

	<tr>
		<td align="right"><input type="checkbox" value="1" name="gps" /></td>
		<td width="100%" align="left">Restrict to only GPS Tagged Photos</td>
	</tr>
	
	<tr>
		<td align="right"><input type="checkbox" value="1" name="face" /></td>
		<td width="100%" align="left">Restrict to Face Annotated Photos and include Face Annotations</td>
	</tr>
-->
</table>
<br />
<input type="submit" value="Generate Report" />
</form>

<hr>
<h3>Statistics</h3>
Total photos: <%=RDBConnection.getCount("select count(1) from photo where date_inactive is null")%><br>
Total Faces Annotated: <%=RDBConnection.getCount("select count(1) from person_in_photo")%><br>
Total Photos with Face Annotations: <%=RDBConnection.getCount("select count(distinct photo_id) from person_in_photo")%><br>
Total Photos with Place Annotations: <%=RDBConnection.getCount("select count(1) from context where location_label is not null")%><br>
Face Annotation Totals <%=queryToTable("select count(1),u.username from person_in_photo pip, photo p,mmm_user u where pip.photo_id=p.id and p.created_by=u.id group by u.username")%><br>
Location Annotation Totals <%=queryToTable("select count(1),location_label from context group by location_label order by count")%><br>


<h3>Legend</h3>
<font size="-1">

<ul> 
<li>&lt;Photos&gt; Includes all the information about a single photograph 
<li>&lt;photos&gt; -&gt; &lt;id&gt; Uniquie ID number for each photo 
<li>&lt;image_file&gt; URL pointing to image file 
<li>&lt;created_by&gt; User ID of the person/phone that took the picture 
<li>&lt;Capture_date&gt; This is the date and time that the image was taken 
<li>&lt;Date_added&gt; The date and time that the photograph information was logged into the database. In cases where the capture_date tag is missing the reader should use the date_added information to approximate the capture time 
<li>&lt;context&gt; This tag includes all the sensed contact information 
<ul>
<li>&lt;context&gt; -&gt; &lt;id&gt; This number uniquely identifies the context information for a given phtotgraph. 
<li>&lt;network&gt; Name of the GSM network as denoted by the active cell at the moment of capture. This is not necessarily a reliable value since I have found that certain cells have had their network value change during the course of our study. 
<li>&lt;lac&gt; The LAC or Location Area Code is a number that uniquely identifies the cellular region. This is a much more reliable source of information that network. 
<li>&lt;cell_id&gt; This is the ID of the particular cell that the user was in. This is a 4-5 digit numerical value. If cells differ only in their final digit it usually means that those cells are located on the same structure and cover different arcs of space around their tower. 
<li>&lt;sample_time&gt; This tag is the timestamp of when the context information was recorded. This is may not correspond to the exact time that the picture was taken. 
<li>&lt;gps_speed&gt; Speed of the GPS device measured in knots. 
<li>&lt;gps_direction&gt; direction of the GPS unit 
<li>&lt;gps_lat&gt; Sensed GPS latitude 
<li>&lt;gps_long&gt; Sensed GPS longitude 
<li>&lt;gps_confidence&gt; This value ranges from 0 to 1 and indicates our confidence in the accuracy of the GPS information. A value of 0 says that the GPS information is completely wrong and should be ignored while a value of 1 means that the information is most probably accurate based on the other GPS coordinates we picked up for the same cell. 
<li>&lt;poss_error&gt; This is an internal variable that was used to calculate the positioning information-Please ignore this 
<li>&lt;bluetooth_context&gt; Each bluetooth context tag refers to sensed information about a single bluetooth device that was present in range of the phone when the picture was taken. 
<li>&lt;bluetooth_context&gt; -&gt; &lt;id&gt; This is a unique ID that refers to each instance of sensed information. 
<li>&lt;context_id&gt; This is the same as &lt;context&gt; -&gt; &lt;id&gt; and points to which context this instace is part of. 
<li>&lt;bt_mac&gt; Bluetooth MAC address of the sensed device. 
<li>&lt;bt_alias&gt; Bluetooth alias (bluetooth name) of the sensed device 
</ul>
<li>&lt;CellCoverage&gt; This tag includes deduced information about specific cell. We have information about roughly 70 different cells. 
<li>&lt;cell_id&gt; Same as &lt;context&gt; -&gt; &lt;cell_id&gt; 
<li>&lt;lac&gt; Same as &lt;context&gt; -&gt; &lt;lac&gt; 
<li>&lt;centroid_lat&gt; Average latitude of the GPS coordinates for a given cell. Please note that based on the picture taking clusters this information may be skewed towards common picture taking locations instead of the geographic center of the cell coverage area. 
<li>&lt;centroid_long&gt; Average longitude of the GPS coordinates for a given cell. Please note that based on the picture taking clusters this information may be skewed towards common picture taking locations instead of the geographic center of the cell coverage area. 
<li>&lt;radius_high_conf&gt; High confidence radius around the centroid. This is the high confidence estimate of how much area around its centroid the cell covers. This has been derived using the deviation of the various GPS coordinates around the centroid. 
<li>&lt;radius_low_conf&gt; Low confidence radius around the centroid. This is the low confidence estimate of how much area around its centroid the cell covers. This has been derived using the deviation of the various GPS coordinates around the centroid. 
<li>&lt;std_dev&gt; Standard deviation of the various GPS coordinates in a given cell. A higher value indicates that either the cell is very large or that users were taking pictures at several different locations within the cell. 
<li>&lt;data_points&gt; This is a count of the number of accurate GPS coordinates that were used to plot the cell coverage area. 
</ul>

<p>

GPS format specification
<p>Source: http://www.commlinx.com.au/NMEA_sentences.htm
<p>$GPRMC Sentence (Position and time)
<pre>
Example (signal not acquired):
$GPRMC,235947.000,V,0000.0000,N,00000.0000,E,,,041299,,*1D
Example (signal acquired):
$GPRMC,092204.999,A,4250.5589,S,14718.5084,E,0.00,89.68,211200,,*25

*Field*         *Example*       *Comments*
Sentence ID     $GPRMC
UTC Time        092204.999      hhmmss.sss
Status  A       A = Valid, V = Invalid
Latitude        4250.5589       ddmm.mmmm
N/S Indicator   S       N = North, S = South
Longitude       14718.5084      dddmm.mmmm
E/W Indicator   E       E = East, W = West
Speed over ground       0.00    Knots
Course over ground      0.00    Degrees
UTC Date        211200  DDMMYY
Magnetic variation              Degrees
Magnetic variation              E = East, W = West
Checksum        *25
Terminator      CR/LF
</pre>
</font>
</body>

<% } %>

	
	
	