<%@ page language='java'%><%@ 
 page import="java.util.*"%><%@ 
 page import="java.text.*"%><%@ 
 page import="gcr.mmm2.model.*"%><%@
 page import="gcr.mmm2.tag.*"%><%

if(request.getParameter("max")==null) {
%>
<html>
<body>
<form action="tag.jsp">
Total photos to compare (max of 300): <input type="text" name="max"/>
<input type="submit"/>
</form>
</body>
</html>

<%    
    return;
}
	final int MAX = Math.min(300, Integer.parseInt(request.getParameter("max")));
 
	final int RES = 35;
	
	response.setContentType("text/xml");
	
	if(MAX>75)
		response.addHeader("Content-Disposition","attachment; filename=\"nearness.xml\"" );
	
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);
	
	Date start = DateFormat.getDateInstance(DateFormat.DEFAULT).parse("Nov 1, 2004");
	Date end = DateFormat.getDateInstance(DateFormat.DEFAULT).parse("Apr 1, 2005");
	
	List m_photos = PhotoFactory.listAllOwnedPhotos(m_user);
	
	List inRange = new LinkedList();
	for(int i=0; i<m_photos.size() && inRange.size()<MAX; i++) {
	    IPhoto p = (IPhoto)m_photos.get(i);
	    if(p.getCaptureDate().after(start) && p.getCaptureDate().before(end)) {
	        inRange.add(p);
	    }
	}
	
	
	%><?xml version="1.0" standalone="yes"?>
<graph user="<%=m_user.getID()%>">

<%
	IPhoto[] photos = (IPhoto[]) inRange.toArray(new IPhoto[0]);
	for (int i = 0; i < photos.length; i++) {
		
	    System.out.println("Creating node:" + photos[i].getID());
	    %><node id="<%=photos[i].getID()%>" label="<%=photos[i].getID()%>" image="http://mmm.sims.berkeley.edu/<%=photos[i].getURL(null, null, RES, RES)%>" />
<%	}

	System.out.println("CREATING CACHED TAGGABLE MEDIA ARRAY");
	
	TaggableMedia tm[] = new TaggableMedia[photos.length];
	for (int i = 0; i < tm.length; i++) {
	    tm[i] = TaggableMedia.getTaggablePhoto(photos[i]);
	    tm[i].cacheAll();	  
	}
	
	System.out.println("COMPARING " + tm.length);
	
	for (int i = 0; i < tm.length; i++) {
	    System.out.print(i + ",");
	    for (int j = i + 1; j < tm.length; j++) {
	        if (tm[i] != null && tm[j] != null) {
	            //float nearness = tm[i].getNearness(tm[j]);
	            //if (nearness != 0) {
					%><edge source="<%=photos[i].getID()%>" target="<%=photos[j].getID()%>" ><% 
					for(int t=0; t<TaggableMedia.MEDIA_TYPES.length; t++) {
    					%><att name="<%=TaggableMedia.MEDIA_TYPES[t]%>" value="<%=tm[i].getTagOverlap(TaggableMedia.MEDIA_TYPES[t], tm[j])%>" /><%
					}
					%></edge>
<%				//}
            }

			out.flush();
		}
	}
%>
</graph>
