<%@ page language='java' %>
<%@ page import="java.io.*"%>
<%
        String filename = request.getRealPath( "WEB-INF/images/" + request.getParameter("file") );
        
        // Get the absolute path of the image
        ServletContext sc = getServletContext();
    
        // Get the MIME type of the image
        String mimeType = sc.getMimeType(filename);
        if (mimeType == null) {
            sc.log("Could not get MIME type of "+filename);
            response.setStatus(HttpServletResponse.SC_INTERNAL_SERVER_ERROR);
            return;
        }
        
        //very important!
    	response.reset();
    	
        // Set content type
        response.setContentType(mimeType);
    
        // Set content size
        File file = new File(filename);
        
        response.setContentLength( (int)file.length() );
    
        // Open the file and output streams
        FileInputStream in = new FileInputStream( file );
        ServletOutputStream outs = response.getOutputStream();
    
    	
        // Copy the contents of the file to the output stream
        byte[] buf = new byte[1024];
        int count = 0;
        while ( (count = in.read(buf)) >= 0 ) {
            outs.write(buf, 0, count);
        }

        outs.flush();
        outs.close();
        
		in.close();
%>