<%@ page import="java.text.DateFormatSymbols" %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>

    <!-- compliance patch for microsoft browsers -->
    <!--[if lt IE 7]>
    <script src="/resources/scripts/ie7/ie7-standard-p.js" type="text/javascript">
    </script>
    <![endif]-->
    
	<style type="text/css">
   		.head {
   		position: fixed;
   		background: #c8c8c8;
   		color: #c8c8c8;
   		top: 0px;
   		left: 0px;
   		width: 100%;
   		padding: 5px;
  	}
    </style>
    <div class="head">
<!--

	OUTPUT VARIABLES from this include:
	***********************************
	long startDate
	long endDate
	int thumbSize
	String orderBy = "Name" or "Number"
	***********************************
	
	Notes on this include:
	Modify the pages shown in the drop-down list for views below
	to send the navigation to different views.  Replace the items in
	the JavaScript switch case statement below.

	This also automatically populates two Java date variables
	startDate and endDate.  These variables must be defined in the
	page which uses this include, but it will put the values for these
	from the drop-downs into it.
	

	DO NOT INSERT THESE VARIABLES IN YOUR CODE THEY ARE DEFINED HERE
	
  @ include file="include_viz_header.jsp"
-->

<%
// this is the list of the views we have from 0..n
// change this and the corresponding JS switch below
// in order to change the list and the pages associated
 long startDate = Long.MIN_VALUE;
 long endDate = Long.MAX_VALUE;
 String[] myViews = {"Photos over time",
 			"Photos by cell id",
    		"Shares by cell id (TODO)",
    		"Shares by recipient",
    		"Photo locations over time"};
    		
 int[] thumbSizes = {25,50,200};

%>

<script language="JavaScript">
	function changeAndSubmit()
	{
		var thePage = document.navForm.thePage.value;
		var outPage = "";
		switch(thePage)
		{
			case "0":
				outPage = "viz_totals.jsp";
				break;
			case "1":
				outPage = "viz_location_number.jsp";
				break;
			case "2":
				outPage = "";
				break;
			case "3":
				outPage = "viz_people_shares.jsp";
				break;
			case "4":
				outPage = "viz_time_location.jsp";
				break;
		}
		document.navForm.action = outPage;
		document.navForm.submit();
	}
</script>
  <%
  	int tempMonth;
  	int tempYear;
  	Date dateEnd = new Date();
  	tempMonth = dateEnd.getMonth();
  	tempYear = dateEnd.getYear();
  	tempMonth--;
  	if(tempMonth<0)
  	{
  		tempMonth = 12;
  		tempYear--;
  	}
	Date dateStart = new Date(tempYear,tempMonth,dateEnd.getDate());
  	DateFormatSymbols dfs = new DateFormatSymbols();
  	String months[] = dfs.getShortMonths();
  		
  	if(request.getParameter("sM")!=null)	
  		dateStart.setMonth(Integer.parseInt(request.getParameter("sM")));
  		
  	if(request.getParameter("sD")!=null)
  		dateStart.setDate(Integer.parseInt(request.getParameter("sD")));
  		
  	if(request.getParameter("sY")!=null)
  		dateStart.setYear(Integer.parseInt(request.getParameter("sY"))-1900);
  		
  	if(request.getParameter("eM")!=null)
  		dateEnd.setMonth(Integer.parseInt(request.getParameter("eM")));
  		
  	if(request.getParameter("eD")!=null)
  		dateEnd.setDate(Integer.parseInt(request.getParameter("eD")));
  		
  	if(request.getParameter("eY")!=null)
  		dateEnd.setYear(Integer.parseInt(request.getParameter("eY"))-1900);
  %>
  
<form name="navForm" method="get" action="<%=request.getServletPath()%>">
<table>
  <tr>
    <td>View</td>
    <td width="30">&nbsp;</td>
    <td>Start Date</td>
    <td width="30">&nbsp;</td>
    <td>End Date</td>
    <td width="30">&nbsp;</td>
    <td>Thumbnail Size</td>
    <td width="30">&nbsp;</td>
    <td>Sort (if applicable)</td>
    <td width="30">&nbsp;</td>
	<td>&nbsp;</td>
	</tr>
  <tr>
    <td>
  <select name="thePage" id="thePage" onChange="changeAndSubmit();">
  	<option value="-99">[select view]</option>
		<%
		int myPage = -99;
		if(request.getParameter("thePage")!=null)
  			myPage = Integer.parseInt(request.getParameter("thePage"));
			 

		for(int i=0;i<myViews.length;i++) { %>
				<option value="<%=i%>"
					<%
						if(myPage==i)
							out.write(" SELECTED");
					%>
					>
					<%=myViews[i]%></option>
			<% } %>
        </select>

</td>
    <td>&nbsp;</td>
    <td><select name="sM">
    		<% for(int i=0;i<12;i++) { %>
				<option value="<%=i%>"
					<%
						if(dateStart.getMonth()==i)
							out.write(" SELECTED");
					%>
					>
					<%=months[i]%></option>
			<% } %>
        </select>
		<select name="sD">
			<% for(int i=1;i<32;i++) { %>
				<option value="<%=i%>"
					<%
						if(dateStart.getDate()==i)
							out.write(" SELECTED");
					%>
					>
					<%=i%></option>
			<% } %>
        </select>
		<select name="sY">
			<% for(int i=2003;i<2050;i++) { %>
				<option value="<%=i%>"
					<%
						if(dateStart.getYear()==(i-1900))
							out.write(" SELECTED");
					%>
					>
					<%=i%></option>
			<% } %>
        </select>
	</td>
		
    <td>&nbsp;</td>
    <td>
		<select name="eM">
    		<% for(int i=0;i<12;i++) { %>
				<option value="<%=i%>"
					<%
						if(dateEnd.getMonth()==i)
							out.write(" SELECTED");
					%>
					>
					<%=months[i]%></option>
			<% } %>
        </select>
		<select name="eD">
			<% for(int i=1;i<32;i++) { %>
				<option value="<%=i%>"
					<%
						if(dateEnd.getDate()==i)
							out.write(" SELECTED");
					%>
					>
					<%=i%></option>
			<% } %>
        </select>
		<select name="eY">
			<% for(int i=2003;i<2050;i++) { %>
				<option value="<%=i%>"
					<%
						if(dateEnd.getYear()==(i-1900))
							out.write(" SELECTED");
					%>
					>
					<%=i%></option>
			<% }
 			%>
        </select>
	</td>
	<td>&nbsp;</td>
    <td>
    <!-- put drop down for thumbnail size here -->
    <select name="thumbSize" id="thumbSize" onChange="changeAndSubmit();">
		<%
		int thumbSize = 25;
		if(request.getParameter("thumbSize")!=null)
  			thumbSize = Integer.parseInt(request.getParameter("thumbSize"));
			 

		for(int i=0;i<thumbSizes.length;i++) { %>
				<option value="<%=thumbSizes[i]%>"
					<%
						if(thumbSize==thumbSizes[i])
							out.write(" SELECTED");
					%>
					>
					<%=thumbSizes[i] + " pixels"%></option>
			<% } %>
        </select>
    	<!-- END THUMBNAIL SIZES DROPDOWN -->
    </td>
    
	
	<td></td>
	<td>
	<!-- put drop down for sort order here -->
    <select name="orderBy" id="orderBy" onChange="changeAndSubmit();">
		<%
		String orderBy = "Number";
		if(request.getParameter("orderBy")!=null)
  			orderBy = request.getParameter("orderBy");
  		%>
  		<option value="Number"
  		<%
						if(orderBy.equals("Number"))
							out.write(" SELECTED");
		%> >Number of photos</option>	
  		<option value="Name"
  		<%
						if(orderBy.equals("Name"))
							out.write(" SELECTED");
		%> >Name of person</option>
        </select>
    	<!-- END THUMBNAIL SIZES DROPDOWN -->
	</td>
    <td></td>
	<td><input type="submit" name="Submit" value="Submit"></td>
  </tr>
</table>
</form>

<%
	startDate = dateStart.getTime();
	endDate = dateEnd.getTime();
	
	IUser tempUser = UserManager.getByUsername(request.getRemoteUser());
	
	List currentCollection = PhotoFactory.listAllVisiblePhotos(tempUser);
	// code to make pages non-blank
	ArrayList idArray = new ArrayList(currentCollection.size());
   	for(int i = 0; i < currentCollection.size(); i++){
       IPhoto p = (IPhoto)currentCollection.get(i);
       idArray.add(new Integer(p.getID()));
   	}

   session.setAttribute("collection", idArray);
				
%>
</div>
<br>
<br>
<br>
<br>