<%@ page language='java' %>
<%@ page import="gcr.mmm2.model.*" %>

<%
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);	
	
	int photoID = -1;
	String temp = request.getParameter("photoID");
	
	
	try{
		photoID = Integer.parseInt(temp);
	}catch(NumberFormatException nfe){
		//photoID is set to -1, redirect will be called next
	}
	
	//Insert the annotation into the database;
	String[] annotations = request.getParameterValues("annotation");
	//String[] tokens = annotations.split(":");
	
	//Delete all annotations first;
	PersonManager.removeAllAnnotations(photoID);

	out.println("Total Splits:"+annotations.length);
	for (int i = 0;i<annotations.length;i +=1) {
		String annotation = annotations[i];
		String[] tokens = annotation.split(",");
		String fullName = tokens[0];
		int xcoord = Integer.parseInt(tokens[1]);
		int ycoord = Integer.parseInt(tokens[2]);
		int width = Integer.parseInt(tokens[3]);
		int height = Integer.parseInt(tokens[4]);
		
		String firstName = "";
		String lastName = fullName;
		
		if(fullName.indexOf(" ")>-1) {
			firstName = fullName.substring(0, fullName.indexOf(" "));
			lastName =  fullName.substring(fullName.indexOf(" ")+1, fullName.length());
		}

		//Create Annotation
		PersonManager.addAnnotation(photoID, firstName, lastName, xcoord, ycoord, width, height, m_user);	
		out.println("Added Annotation:"+photoID + ":"+firstName + " " + lastName + " " + xcoord);
	}
%>
