<%@ page language='java' %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>

<%
	int i_max_columns = 3;
	
	String username = request.getRemoteUser();
	IUser m_user = UserManager.getByUsername(username);
	
	List m_photos = ShareManager.getReceivedPhotos(m_user);

	//HACK!!!
	Iterator id_it = m_photos.iterator();
	ArrayList idArray = new ArrayList(m_photos.size());
	for(int i = 0; i < m_photos.size(); i++){
		IPhoto p = (IPhoto)m_photos.get(i);
		idArray.add(new Integer(p.getID()));
	}
	
	session.setAttribute("collection", idArray);

%>

<html>
<head>
<title>Received Shares</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
<link href="resources/styles/my_pictures.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
	function make_album_from_selected()
	{
		document.photogrid.action = "add_to_album.jsp";
		document.photogrid.submit();
	}
	
	function share_selected()
	{
		document.photogrid.action = "sharemedia.jsp";
		document.photogrid.submit();
	}
	
	function select_all_photos(tf)
	{
		var checkboxes = document.photogrid.elements;
		for(i = 0; i < checkboxes.length; i++){
			checkboxes[i].checked = tf;
		}
	}
</script>
</head>



<body>
<%@ include file="header.jsp" %>
<%@ include file="breadcrumb.jsp" %>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="15%" valign="top"><table width="100%" border="0" cellspacing="5" cellpadding="5">
        <tr>
          <td>
          <%@ include file="timeline.jsp"%>
			</td>
        </tr>
        <tr>
          <td>
          
          
          		<strong>Received albums</strong><br>
          		
				<%
				    Iterator share_granters = ShareManager.listUsersSharingTo(m_user).iterator();
				    if(share_granters != null) {
				        while(share_granters.hasNext()){
				            IUser granter = (IUser)share_granters.next();
				            Iterator albums = ShareManager.listSharedAlbums(granter, m_user).iterator(); //sender, recipient
				            if(albums != null){
				            	while(albums.hasNext()){
				            		IAlbum a = (IAlbum)albums.next();
				            		String title = a.getTitle();
									if(title.length() > 15){title = title.substring(0, 13)+"...";}
				            	%>


									<div class="sidebar">
									<a href="album.jsp?id=<%=""+a.getID()%>">
									<img width="30" src="resources/images/icons/AlbumsIcon.gif" alt="[]" align="middle">
									<%=title%></a><br>
									<span class="sidebar_album_sharer">(from <%=granter.toString()%>)</span>
									</div>


								<%
				            	}
				            
				            }
				        }
				    }
				%>
	
          </td>
        </tr>
      </table></td>
    <td width="70%" valign="top" align="center">
      <form name="photogrid" method="get" action="">
        <table width="67%" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td>
            
            <table width="100%" border="0" cellspacing="5" cellpadding="5">
					<td colspan="4">
						<div class="collection_title">
						<img src="resources/images/icons/PicturesIcon.gif" alt="album" align="left">Photos Shared with Me</div>
						<strong><%=m_photos.size()%> Images in this Set</strong>
					</td>
                <tr>
                
                  <td><a href="javascript:share_selected()">share selected</a></td>
                  <td><a href="javascript:make_album_from_selected()">add selected to another album</a></td>
                  <td><a href="javascript:select_all_photos(true)">select all</a></td>
                  <td><a href="javascript:select_all_photos(false)">unselect all</a></td>
                  
                </tr>
              </table>
              
              </td>
          </tr>
          <tr> 
            <td>
            
            
            <table width="45%" border="0" cellspacing="5" cellpadding="5">
            
			<%
			int i_cur_column = 0;
			Iterator i = m_photos.iterator();
			
			while (i.hasNext()) {
			        IPhoto p = (IPhoto)i.next();
			        if(p == null){continue;}
			
			        if(i_cur_column == 0){
			            out.write("<tr>");
			        }
			%>
			    <td valign="top" align="left">
			    <div align="center">
			    	<a href="./photo_details.jsp?photoID=<%=p.getID()%>">
			    	<img class="photo" src="<%=p.getURL(null,null,200)%>"></a>
			    </div>
			    <input type="checkbox" name="photoID" value="<%=p.getID()%>"> | <span style="font-size:10pt">select</span><br>
			    <div class="photo_caption"><%=p.getCaption()%></div>
			    <div class="photo_caption">Uploaded By: <%=p.getOwner()%></div>
			    <div class="photo_caption">Shared With Me By:<br><%
			    	Iterator sharers = ShareManager.listUsersSharingMedia(p, m_user).iterator();
			    	while(sharers.hasNext()){
			    		IUser u = (IUser)sharers.next();
			    		out.write(u.toString() + "</br>\n");
			    	}
			    %></div>
			
			    </td>
			    <%
			    if(i_cur_column == i_max_columns-1){
			        i_cur_column=0;
			        out.write("</tr>");
			    }
			    else{
			        i_cur_column++;
			    }
			} // end while
			%>

			</table>





              
              
              </td>
          </tr>
        </table>
      </form></td>
    <td width="15%" valign="top"> 
      <form name="form1" method="post" action="">
	    <table width="100%" border="0" cellspacing="5" cellpadding="5">

          <tr> 
            <td>Search: <input type="text" name="textfield"></td>
          </tr>
          <tr> 
            <td><input type="submit" name="Submit" value="Submit"></td>
          </tr>
        </table>
      </form></td>
  </tr>
</table>
</body>
</html>

