<%@ page import="com.oreilly.servlet.*" %>
<%@ page import="com.oreilly.servlet.multipart.*" %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="java.io.*" %>
<%@ page import="gcr.mmm2.util.*" %>

<%!
	final String PREFIX = "photo_";
	
	String showPhoto(IPhoto p, int size) {
		return "<table border=\"0\" style=\"display : inline;\"><tr><td bgcolor='#ffffff' width='"+size+"' height='"+size+"'>" +
			"<a href=\"photo_details.jsp?photoID=" + p.getID() + "\" target=\"_blank\">" +
		    "<img border=\"0\" src=\"" + p.getURL(null, null, size) + "\">" +
		    "</a>" +
		    "</td></tr></table>";
	}
%>

<%
	IUser u=UserManager.getByUsername(request.getRemoteUser());

	StringBuffer errorString = new StringBuffer();
	boolean uploadComplete = false;
	IPhoto p = null;
	ArrayList uploadedPictures = new ArrayList();
   
	if(request.getContentType() != null){
	
		String IMAGE_PATH = application.getRealPath("/WEB-INF/data/images");
		MultipartRequest mp = new MultipartRequest(request, IMAGE_PATH, 100000000, new DefaultFileRenamePolicy() );
		String filename = null;
		
		// create a new arraylist with only the good photos in it
		ArrayList filesUploaded = new ArrayList();
		Enumeration e = mp.getFileNames();
		// loop to populate the new arraylist of good jpeg files
		while (e.hasMoreElements())
		{
			filename=mp.getFilesystemName((String)e.nextElement());
			filename = IMAGE_PATH+"/"+filename;
			
			//ArrayList tempAL = JpegUploadProcessor.getJpegs(filename);
			
			// add all filenames that are jpegs from this file
			filesUploaded.addAll(JpegUploadProcessor.getJpegs(filename));
		}
		
		
		
		int counter =0;
		for(int i=0;i<filesUploaded.size();i++){
			filename=(String)filesUploaded.get(i);
			System.out.println(filename);
			
			if (filename != null) {		
				//This is so that multiple files being uploaded do not all have the same
				//file name since they could be uploaded all in the same "second"
				String nowString = MediaManager.getFormattedNow();
				Date nowDate = (MediaManager.sdf).parse(nowString);
				nowDate.setSeconds(nowDate.getSeconds() + counter);
				nowString = MediaManager.sdf.format(nowDate);
			
				String newFileName = u.getID()+"W"+nowString+".jpg";
				String newFilePath = u.getUploadDirectory()+"/"+newFileName;
				System.out.println("upload.jsp: orig="+filename+", new="+newFilePath);
	    	
				// Get EXIF capture date if it exists
				System.out.println("File and Path: " + filename);
    			JpegMetadata jm = new JpegMetadata(filename);
    			Date captureDate = jm.getCaptureDate();
    			if(captureDate == null)
    				captureDate = new Date();
    			System.out.println("Height: " + jm.getHeight());
    			System.out.println("Create Date: " + jm.getCaptureDateAsString());

	    		File origFile = new File(filename);
	    		File newFile = new File(newFilePath);

	    		if (origFile.renameTo(newFile)) {
	    			if (captureDate != null) {
						p = PhotoFactory.createPhoto(newFileName, u, captureDate);
					} else {
						p = PhotoFactory.createPhoto(newFileName, u);
					}
				}
				if (p!=null) {
					uploadComplete = true;
					uploadedPictures.add(p);
				}else{
					errorString.append("Error Uploading Files");
				}
			counter +=1;
			} // end filename != null
		} // end for (going thru arraylist)
	} // end contenttype != null
%>
<html>
<head>
<title>Upload Images</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
<script type="text/javascript" language="JavaScript" src="resources/scripts/file_upload.js"></script>
</head>

<body>
<%@ include file="header.jsp" %>
<div style="clear:both">
<div style="color:red"><%=errorString.toString()%></div>
<table>

	<% if(uploadComplete){ 
	   out.println("<br> Congratulations, you have successfully uploaded <font color=\"red\">" + uploadedPictures.size() + " </font> picture(s)!");
		for (int i =0; i < uploadedPictures.size(); i +=1) {
		p = (IPhoto) uploadedPictures.get(i);
		int pictureWidth = 0;
		if (uploadedPictures.size() <=4)
			pictureWidth = 200;
		if ((4<=uploadedPictures.size()) && (uploadedPictures.size() <=9))
			pictureWidth = 150;
		if (9<=uploadedPictures.size())
			pictureWidth = 100; 
		out.println(showPhoto(p,pictureWidth)); %>
	<!--<tr>
	<td valign="top" align="left">
			<img class="photo" src="<%=p.getURL(null,null,400)%>" align="bottom"><br>
			<a href="./sharemedia.jsp?photoID=<%=p.getID()%>">
			[Share this photo]</a>&nbsp;&nbsp;
			<a href="./add_to_album.jsp?photoID=<%=p.getID()%>">
			[Add to album]</a>&nbsp;&nbsp;
			<a href="./photo_details.jsp?photoID=<%=p.getID()%>">
			[View/Edit Details]</a>&nbsp;&nbsp;
	</td>
	</tr>
	-->
	<% }}%>

	<tr>
		<td>
		<% if(!uploadComplete){ %>
			<h1>Let's upload a picture!</h1>
		<% }else{ %>
			<h3>Upload more pictures!</h3>
		<% } %>
		
		
		<form action="./upload.jsp" method="post" name="upload" enctype="multipart/form-data">
		<input type="hidden" name="numberFiles" value=1>
		<input type="button" value="Upload All" onclick="check_files();"> <br>
		<div ID="fileForms">
				<div ID=0>
					<input type="file" name="file0" size=30><a href="javascript:remove_file_upload(0);"> Remove File </a>
					<p>
				</div> 
				<div ID=1>
				</div>
		</div>
		<a href=javascript:add_file() > Add Another File </a>
		</form>
	</td>
	</tr>
</table>
</div>
</body>
</html>