<%@ page language='java' %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="gcr.mmm2.util.*" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Vector" %>
<%
	IUser m_user = UserManager.getByUsername(request.getRemoteUser());
	List m_photos = PhotoFactory.listAllVisiblePhotosByTime(m_user, MediaManager.ALL);
	Collections.reverse(m_photos);
%>
<html>
<head><title>Location vs. Number of Photos</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="resources/styles/master.css" rel="stylesheet" type="text/css">
</head>
<body>
  
  	<%@ include file="include_viz_header.jsp" %>

<%
    MultiValueDictionary mvd = new MultiValueDictionary();

    long firstTime = Long.MAX_VALUE;
    long lastTime = Long.MIN_VALUE;

    Iterator itr = m_photos.iterator();
	ArrayList captureDateList = new ArrayList();
	ArrayList cellIdList = new ArrayList();
	
    while (itr.hasNext()) {
        IPhoto p = (IPhoto) itr.next();
        Date d = p.getCaptureDate();
        IContext c = (IContext)p.getContext();
        
		if (c != null) {
			String key = c.getCellId();
			if (key != null) { // if null, no cell ID available -- skip image
				if(d.getTime()>startDate && d.getTime()<endDate) {
					mvd.put(key, p);
				}
			}
		}
    }
%>


<table border="0" cellpadding="0" cellspacing="0"><tr>
<%
	Enumeration keys = mvd.keys();
	while(keys.hasMoreElements()) {
        out.println("<td align=center valign=bottom>");
		String key = (String)keys.nextElement();
        Vector photos = mvd.get(key);
        if(photos!=null) {
	        for (int i = 0; i < photos.size(); i++) {
	            IPhoto p = (IPhoto) photos.get(i);
	            out.println("<img src=\"resources/images/graphics/black.gif\" width=\"2\" height=\"2\"><br>");
	        }
        }
        out.println("<img src=\"resources/images/graphics/black.gif\" width=\"1\" height=\"1\"><br>");
        out.println("</td>");
    }
%>
</tr></table>
<p>


<table border="1" cellpadding="1" cellspacing="0"><tr>
<%
	Enumeration keys2 = mvd.keys();
	while(keys2.hasMoreElements()) {
        out.println("<td align=\"center\" valign=\"bottom\" width=\"" + thumbSize + "\"><font size=\"1\">");
        String key = (String)keys2.nextElement();
        Vector photos = mvd.get(key);
        if(photos!=null) {
	        out.println("(" + photos.size() + ")<br>");
	        for (int i = 0; i < photos.size(); i++) {
	            IPhoto p = (IPhoto) photos.get(i);
	            out.print("<a href=\"photo_details.jsp?photoID=" + p.getID() + "\" target=\"_blank\">");
	            out.print("<img border=\"0\" width=\"" + thumbSize + "\" height=\"" + thumbSize
	            	+ "\" src=\"" + p.getURL(null, null, thumbSize) + "\">");
	            out.print("</a><br>");
	            out.print("<img src=\"resources/images/graphics/black.gif\" width=\"1\" height=\"2\"><br>");
	        }
        }
        out.println(key);
        out.println("</font></td>");
    }
%>
</tr></table>


</body>
</html>