<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<%@ page language='java'%>
<%@ page import="gcr.mmm2.rdb.*"%>
<%@ page import="java.sql.*"%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<script
	src="http://maps.google.com/maps?file=api&v=1&key=ABQIAAAAUXlbYKX_0PwJ-9ZO5JY_9hT3tPGexbVLAdoXQf_P4ESpj2s0rRRE97qtVaTun1dVPIzrtAPa59zvwg"
	type="text/javascript"></script>
<title>MMM GPS Tagged Photos</title>
<link href="resources/styles/master.css" rel="stylesheet"
	type="text/css" />
</head>
<body>
<div id="map" style="width: 1024px; height: 768px"></div>
<script type="text/javascript">
    //<![CDATA[
    
    var map = new GMap(document.getElementById("map"));
    map.addControl(new GSmallMapControl());
    map.centerAndZoom(new GPoint(-122.258300, 37.871960), 4);

	function createMarker(point, html) {
	  var marker = new GMarker(point);
	  GEvent.addListener(marker, "click", function() {
	    marker.openInfoWindowHtml(html);
	  });
	  return marker;
	}
<%  

	ResultSetWrapper rsw = RDBConnection.executeQuery("select cell_id,lac,centroid_lat,centroid_long,radius_high_conf,data_points from cell_coverage");
	ResultSet rs = rsw.getResultSet();
	int cellCount = 0;
	try {
    	while(rs.next()) {
    		cellCount++;
    	    out.println("    var point = new GPoint("+rs.getString("centroid_long")+"," +rs.getString("centroid_lat") +")");
    	    String html = "CellID: "+rs.getString("cell_id")+", Lac:"+rs.getString("lac")+" from "+rs.getString("data_points")+" data points.<br>";
    	    html += rs.getString("centroid_long")+"," +rs.getString("centroid_lat");
    		out.println("    var marker = new createMarker(point, '"+html+"')");
			out.println("    map.addOverlay(marker)");
    	}
    } catch (SQLException e) {
        e.printStackTrace();
    } finally {
        rsw.closeAll();
    }
%>

    //]]>
    </script>
<br/>
Total estimated cell tower locations:<%=cellCount%>
</body>
</html>
