<%@ page language='java' %>
<%@ page import="java.util.*" %>
<%@ page import="gcr.mmm2.model.*" %>
<%@ page import="gcr.mmm2.util.*" %>
<%
	IUser m_user = UserManager.getByUsername(request.getRemoteUser());
	List m_photos = PhotoFactory.listAllVisiblePhotosByTime(m_user, MediaManager.ALL);
	Collections.reverse(m_photos);
%>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <base href="<%=basePath%>">
    <title>Shares by Recipient</title>
    
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">
    <meta http-equiv="keywords" content="keyword1,keyword2,keyword3">
    <meta http-equiv="description" content="This is my page">
    
    <!--
    <link href="resources/styles/master.css" rel="stylesheet" type="text/css">
    -->
  </head>
  <body>
  
  	<%@ include file="include_viz_header.jsp" %>
  	
	<%
	
	// ***********************************************************
	// Start Charts of shares from People
	// ***********************************************************
	// go through the current photos and bucket them by recipients
	Iterator i = m_photos.iterator();
	MultiValueDictionary mvd = new MultiValueDictionary();
	while(i.hasNext())
	{
		// write out information for each photo
		IPhoto tempPhoto = (IPhoto)i.next();
	
		if(tempPhoto.getCaptureDate().getTime()>startDate && tempPhoto.getCaptureDate().getTime()<endDate)
		{
			// get list of recipients for each photo
			// and stick people as keys in dictionary with photos as values
			Iterator recipients = ShareManager.getPhotoRecipients(tempPhoto, m_user).iterator();
			while(recipients.hasNext())
			{
				IPerson recipient = (IPerson)recipients.next();
				mvd.put(recipient.toString(),tempPhoto);
			}
		}
	}
	
	// get the keyset and sort it
	// get vectors
	Vector v = new Vector(mvd.getHashtable().keySet());
	Vector v2 = new Vector();
	// create some wacky objects so can sort by number, not key
	for(int ii=0;ii<v.size();ii++)
	{
		if(orderBy.equals("Number"))
		{
			StringIntComparableInt si = new StringIntComparableInt
				( ((String)v.get(ii)), mvd.get(((String)v.get(ii))).size());
			v2.add(si);
		}else{
			StringIntComparableString si = new StringIntComparableString
				( ((String)v.get(ii)), mvd.get(((String)v.get(ii))).size());
			v2.add(si);
		}
	}
    Collections.sort(v2);
    %>
    <br><h3>My Sharing with Other People</h3>
    <table border="1" cellpadding="1" cellspacing="0"><tr>
	
    <%
    // iterate through keyset of people shared with and print their photos
    Iterator it = v2.iterator();
    while (it.hasNext())
    {
    	// just get the string out of the key object
		String element =  ((StringInt)it.next()).getString();
      	String shortName = "";
      	if(element.indexOf(" ")>0)
      	{
      		shortName = element.substring(0,element.indexOf(" "));
      	}else{
      		shortName = element;
      	}
      	out.print("<tr height=\"" + thumbSize + "\">");
      	out.print("<td>");
      	out.print(shortName + "&nbsp;");
      	// print number of photos
  		out.write("&nbsp;(" + ((Vector)mvd.get(element)).size()+")");
      	out.print("</td>");
      	out.print("<td valign=center align=left>");
      	
      	// iterate through vector of photos per person
      	i = mvd.get(element).iterator();
      	while(i.hasNext())
      	{
      		IPhoto tempPhoto = (IPhoto)i.next();
      		// print out each photo
      		out.print("<a href=\"photo_details.jsp?photoID=" + tempPhoto.getID()
      			+ "\" target=\"_blank\">" +
				"<img border=\"0\" align=\"middle\" width=\"" + thumbSize + "\" height=\"" + thumbSize
	            + "\" src=\"" + tempPhoto.getURL(null,null,thumbSize) + "\">" +
				"</a>");
			out.print("<img align=\"middle\" src=\"resources/images/graphics/black.gif\" width=\"2\" height=\"1\">");
		
		}
		out.print("</td></tr>\r\n");
    }
    
	%>
	</tr></table>
	<!-- 
	************************************************************
	// Done Drawing people I've shared with
	// ************************************************************
	
	// ************************************************************
	// Begin Drawing people who have shared with me
	// ************************************************************
	// go through the current photos and bucket them by who sent them
	-->
	<%
	m_photos = PhotoFactory.listAllVisiblePhotosByTime(m_user, MediaManager.ALL);
	i = m_photos.iterator();
	mvd = new MultiValueDictionary();
	while(i.hasNext())
	{
		// write out information for each photo in this section
		IPhoto tempPhoto = (IPhoto)i.next();
		
		if(tempPhoto.getOwner().getID()!=m_user.getID() && 
			tempPhoto.getCaptureDate().getTime()>startDate && 
			tempPhoto.getCaptureDate().getTime()<endDate)
		{
			// get the owner for each photo
			// and stick owner as keys in dictionary with photos as values
			mvd.put(tempPhoto.getOwner().getFirstName() + " " + tempPhoto.getOwner().getLastName(),tempPhoto);
		}
	}
	
	// get the keyset and sort it
	// get vectors
	v = new Vector(mvd.getHashtable().keySet());
	v2 = new Vector();
	// create some wacky objects so can sort by number, not key
	for(int ii=0;ii<v.size();ii++)
	{
		if(orderBy.equals("Number"))
		{
			StringIntComparableInt si = new StringIntComparableInt
				( ((String)v.get(ii)), mvd.get(((String)v.get(ii))).size());
			v2.add(si);
		}else{
			StringIntComparableString si = new StringIntComparableString
				( ((String)v.get(ii)), mvd.get(((String)v.get(ii))).size());
			v2.add(si);
		}
	}
    Collections.sort(v2);
    %>
    <br><h3>Other People's Sharing with Me</h3>
    <table border="1" cellpadding="1" cellspacing="0"><tr>
	
    <%
    // iterate through keyset of people shared with and print their photos
    it = v2.iterator();
    while (it.hasNext())
    {
		String element =  ((StringInt)it.next()).getString();
      	String shortName = "";
      	if(element.indexOf(" ")>0)
      	{
      		shortName = element.substring(0,element.indexOf(" "));
      	}else{
      		shortName = element;
      	}
      	out.print("<tr valign=\"middle\" height=\"" + thumbSize + "\">");
      	out.print("<td>");
      	out.print(shortName + "&nbsp;");
      	// print number of photos
  		out.write("&nbsp;(" + ((Vector)mvd.get(element)).size()+")");
      	out.print("</td>");
      	out.print("<td valign=\"center\" align=\"left\">");
      	
      	// iterate through vector of photos per person
      	i = mvd.get(element).iterator();
      	while(i.hasNext())
      	{
      		IPhoto tempPhoto = (IPhoto)i.next();
      		// print out each photo
      		out.print("<a href=\"photo_details.jsp?photoID=" + tempPhoto.getID()
      			+ "\" target=\"_blank\">" +
				"<img border=\"0\" align=\"middle\" width=\"" + thumbSize + "\" height=\"" + thumbSize
	            + "\"  src=\"" + tempPhoto.getURL(null,null,thumbSize) + "\">" +
				"</a>");
			out.print("<img align=\"middle\" src=\"resources/images/graphics/black.gif\" width=\"2\" height=\"1\">");
		}
		out.print("</td></tr>\r\n");
    }
    
	%>
	</tr></table>
	<!--
	// ************************************************************
	// End drawing people who have shared with me
	// ************************************************************
	-->
  </body>
</html>
